المطوّرون

دليل واجهة Biz1: المصادقة والمستندات والعملاء المحتملين وحقول العملاء — مع أمثلة برمجية.

يوجد أدناه 110 عملية — لكل منها: جدول معاملات كامل، وأمثلة برمجية (GET وPOST)، وTry it لتنفيذ طلب حقيقي من هذه الصفحة فقط.

نمط العنوان الأساسي: https://{user}.{domain}/. لإضافة حقول عدّل lib/api-doc-catalog-infer.ts.

CRM School

منهج تعلّم CRM منظّم — اختر اللغة:

عناوين الأساس

عنوان واجهة API خاص بكل حساب: https://{user}.{domain}/{user} نطاق فرعي للحساب و{domain} النطاق الأساسي للمؤسسة (مثل biz1.co.il أو bull36.com).

تدعم معظم العمليات GET (سلسلة استعلام) أو POST (JSON أو نموذج) حسب تعريف النقطة في الكتالوج.

  • https://{user}.{domain}/api.php
  • https://{user}.{domain}/api/get_document
  • https://{user}.{domain}/dashboard/api/filesview (PDF)
  • مثال: https://acme.biz1.co.il/api.php?api=...

نظرة عامة على النقاط والكتالوج الكامل

تغطي المنظومة: الملفات والمجلدات، المهام والمشاريع، تتبع الوقت، الامتدادات، المستندات، المصادقة والمستخدمون، CRM، التقويم والمواعيد، المدفوعات، التكاملات، الاتصالات، التذاكر والطلبات، والأتمتة. القائمة الكاملة في أقسام مرجع API أدناه — لكل عملية جدول معاملات وTry it.

الجدول هنا يلخص أنماطًا شائعة فقط. البادئة دائماً https://{user}.{domain}/.

المجالالعنوان / النمطملاحظات
إنشاء مستندات (JSON)POST https://{user}.{domain}/api.php?api=add_order2 أو api=create_documentجسم JSON — فواتير، إيصالات، طلبات…
استرجاع / قائمة مستنداتGET https://{user}.{domain}/api/get_document?api_token=...&...معاملات في سلسلة الاستعلام
عرض PDFhttps://{user}.{domain}/dashboard/api/filesview?url=...url مسار مشفّر من واجهة API
عميل محتمل جديدhttps://{user}.{domain}/api.php?api=add_lead&api_token=...عادةً GET مع حقول قياسية و cf-*
تحديث حقل عميلhttps://{user}.{domain}/api.php?api=update_field&...معرّف العميل أو البريد

الأمثلة تستخدم add_order2؛ يمكن استبدالها بـ create_document بنفس جسم JSON. معظم بطاقات لوحة التحكم «documentation (Add Order2)» هي نفس الآلية مع نوع مستند مختلف.

رمز API (api_token)

يحدد حسابك. يوجد عادةً في إعدادات المستخدم الرئيسي. بدون رمز صالح تُرفض الطلب.

المعاملمطلوبالوصف
api_tokenنعممفتاح API للمؤسسة

إنشاء المستندات (واجهة موحّدة)

هذا القسم لـإنشاء المستندات فقط. العمليات الأخرى — get_document وfilesview وadd_lead وupdate_field — في أقسامها وفي جدول نظرة عامة على النقاط والكتالوج الكامل أعلاه. لإنشاء المستندات، add_order2 وcreate_document متطابقان.

  • https://{user}.{domain}/api.php?api=add_order2
  • https://{user}.{domain}/api.php?api=create_document (توافق خلفي)

حقول JSON الرئيسية

حقلمطلوبالوصف
api_tokenنعمالمصادقة
document_typeنعميحدد محرك المستند والتحقق وقالب PDF وقواعد البنود/الدفع
cust_idلاعميل موجود؛ إن وُجد تطابق أو يُنشأ عميل
orderحسب النوعنطاق المستند: العملة والضريبة والملاحظات والخصومات
items / productsحسب النوعبنود: SKU والكمية والسعر؛ قد تستخدم بعض الإيصالات all_items_total

تعتمد الحمولات على حسابك وdocument_type — استخدم الجدول وTry it أدناه.

أمثلة الكود (GET وPOST)

أمثلة مبنية على جدول المعاملات أعلاه — GET بالاستعلام، POST بنفس الحقول كـ JSON أو نموذج.

# Replace {user}.{domain} with your account host (e.g. acme.biz1.co.il).
# Same JSON body for api=add_order2 OR api=create_document (equivalent).
curl -sS -X POST 'https://{user}.{domain}/api.php?api=add_order2' \
  -H 'Content-Type: application/json' \
  -d '{"api_token":"YOUR_API_TOKEN","document_type":"invoice","cust_id":12345,"order":{"currency":"ILS","vat_percent":18}}'

جرب — إرسال من الموقع

يُرسل الرمز إلى وسيط الموقع فقط لتمرير الطلب إلى Biz1 — دون تخزين.

/api/add_order2 · alt: /api.phpGET · POST

استرجاع المستندات

https://{user}.{domain}/api/get_document

يصفّي حسب العميل ونوع المستند والتواريخ؛ يعيد البيانات الوصفية ومسارات PDF.

معامل مثالالوصف
api_tokenالمصادقة
cust_idالعميل
document_typeتصفية حسب النوع
from_date / to_dateنطاق التاريخ

استخدموا أسماء المعاملات من الجدول أدناه.

أمثلة الكود (GET وPOST)

أمثلة مبنية على جدول المعاملات أعلاه — GET بالاستعلام، POST بنفس الحقول كـ JSON أو نموذج.

curl -sS 'https://{user}.{domain}/api/get_document?api_token=YOUR_API_TOKEN&cust_id=12345&document_type=invoice&from_date=2026-01-01&to_date=2026-12-31'

جرب — إرسال من الموقع

يُرسل الرمز إلى وسيط الموقع فقط لتمرير الطلب إلى Biz1 — دون تخزين.

/api/get_document · alt: /api.phpGET · POST

عرض PDF

بث آمن لملفات PDF؛ المعامل url هو المسار المشفّر الذي تعيده المنظومة.

https://{user}.{domain}/dashboard/api/filesview?url=ENCODED_PDF_PATH

أمثلة الكود (GET وPOST)

أمثلة مبنية على جدول المعاملات أعلاه — GET بالاستعلام، POST بنفس الحقول كـ JSON أو نموذج.

curl -sS -O -J 'https://{user}.{domain}/dashboard/api/filesview?url=ENCODED_PDF_PATH'

جرب — إرسال من الموقع

يُرسل الرمز إلى وسيط الموقع فقط لتمرير الطلب إلى Biz1 — دون تخزين.

/dashboard/api/filesviewGET · POST

العملاء المحتملون — add_lead

عادةً طلب GET بمعاملات في سلسلة الاستعلام.

حقلملاحظات
phone, mobile, source, address, email, name, message, company, passwordحقول قياسية
cf-*حقل مخصص: الاسم بالإنجليزية مع بادئة cf-

أمثلة الكود (GET وPOST)

أمثلة مبنية على جدول المعاملات أعلاه — GET بالاستعلام، POST بنفس الحقول كـ JSON أو نموذج.

curl -sS 'https://{user}.{domain}/api.php?api=add_lead&api_token=YOUR_API_TOKEN&source=website&name=Jane&[email protected]&mobile=0500000000&message=Hello'

جرب — إرسال من الموقع

يُرسل الرمز إلى وسيط الموقع فقط لتمرير الطلب إلى Biz1 — دون تخزين.

/api/add_lead · alt: /api.phpGET · POST

تحديث حقل عميل — update_field

يحدد العميل بـ id أو البريد؛ يدعم الحقول المخصصة.

يدعم قيمًا مثل today و hour حسب الوثائق.

أمثلة الكود (GET وPOST)

أمثلة مبنية على جدول المعاملات أعلاه — GET بالاستعلام، POST بنفس الحقول كـ JSON أو نموذج.

curl -sS 'https://{user}.{domain}/api.php?api_token=YOUR_API_TOKEN&api=update_field&field=notes&value=Updated&id=12345'

جرب — إرسال من الموقع

يُرسل الرمز إلى وسيط الموقع فقط لتمرير الطلب إلى Biz1 — دون تخزين.

/api/update_customer_fields · alt: /api.phpGET · POST

مسار إنشاء المستند (ملخص)

  1. التحقق من api_token
  2. تحليل document_type
  3. حل العميل أو إنشاؤه
  4. معالجة الطلب والبنود
  5. الدفع (مسارات الإيصال)
  6. الأتمتة
  7. الحفظ وPDF والتسليم الاختياري

get reminder data list

الاسم بالإنجليزية كما في الكتالوج.

Returns reminder data for the authenticated user (exact fields are shown in the dashboard Test API table for this operation).

GET / POST · قد يظهر في القائمة GET فقط؛ نفس الحقول لـ GET أو POST.

نقطة النهاية

https://biz1.co.il/api/get_reminder_data_list

عنوانك: https://{user}.{domain}/api/get_reminder_data_list · بديل: https://{user}.{domain}/api.php

مثال رابط GET: https://biz1.co.il/api/get_reminder_data_list?api_token=YOUR_API_TOKEN_FROM_SETTING&cust_id=108545&phone=value — العملية في المسار؛ أضف بقية الحقول دون api=.

Parameters

The operation name is already in the URL path (…/get_reminder_data_list) — do not add a separate api= field for this endpoint. Use the same field names as Test API as GET query parameters and/or POST JSON or form. Legacy: you can call api.php with api=get_reminder_data_list instead of the path segment.

NameTypeDescription
api_tokenstringuser api token from setting
cust_idnumbercontatctus table id
phonestring

رموز الحالة

عادة 200 OK مع JSON؛ أخطاء التحقق تعيد 4xx.

عينات الكود (GET وPOST)

الأمثلة تستخدم أسماء الحقول من الجدول — GET كسلسلة استعلام، POST بنفس المفاتيح كـ JSON أو نموذج.

وصف إضافي

https://biz1.co.il/api/get_reminder_data_list?api_token=YOUR_API_TOKEN_FROM_SETTING&cust_id=108545&phone=value

api_token => (Required) – user api token from setting
cust_id => (Required) – contatctus table id
phone => (Optional) – —

عينة استجابة

{
  "success": true,
  "data": {}
}

شكل الاستجابة يختلف حسب العملية.

Try it — عيّن المضيف والرمز في أداة الاختبار أدناه.

أمثلة الكود (GET وPOST)

أمثلة مبنية على جدول المعاملات أعلاه — GET بالاستعلام، POST بنفس الحقول كـ JSON أو نموذج.

# Operation: get reminder data list
# Host: replace {user}.{domain} with your tenant.
# Path includes the operation — no separate api= field. Legacy: POST/GET the same fields to https://{user}.{domain}/api.php with api=get_reminder_data_list.

# --- GET (query string) ---
# One-line sample (add every parameter from the table):
curl -sS 'https://{user}.{domain}/api/get_reminder_data_list?api_token=YOUR_API_TOKEN_FROM_SETTING&cust_id=108545&phone=value'

curl -sS -G 'https://{user}.{domain}/api/get_reminder_data_list' \
  --data-urlencode 'api_token=YOUR_API_TOKEN_FROM_SETTING' \
  --data-urlencode 'cust_id=108545' \
  --data-urlencode 'phone=value'

# --- POST (JSON body — same field names) ---
curl -sS -X POST 'https://{user}.{domain}/api/get_reminder_data_list' \
  -H 'Content-Type: application/json' \
  -d '{"api_token":"YOUR_API_TOKEN_FROM_SETTING","cust_id":"108545","phone":"value"}'

جرب — إرسال من الموقع

يُرسل الرمز إلى وسيط الموقع فقط لتمرير الطلب إلى Biz1 — دون تخزين.

/api/get_reminder_data_list · alt: /api.phpGET · POST

Get all documents data

الاسم بالإنجليزية كما في الكتالوج.

This API is used to all document data get for a user.

GET / POST · قد يظهر في القائمة GET فقط؛ نفس الحقول لـ GET أو POST.

نقطة النهاية

https://biz1.co.il/api/get_all_documents_data

عنوانك: https://{user}.{domain}/api/get_all_documents_data · بديل: https://{user}.{domain}/api.php

مثال رابط GET: https://biz1.co.il/api/get_all_documents_data?api_token=YOUR_API_TOKEN_FROM_SETTING&cust_id=108545 — العملية في المسار؛ أضف بقية الحقول دون api=.

Parameters

The operation name is already in the URL path (…/get_all_documents_data) — do not add a separate api= field for this endpoint. Use the same field names as Test API as GET query parameters and/or POST JSON or form. Legacy: you can call api.php with api=get_all_documents_data instead of the path segment.

NameTypeDescription
api_tokenstringuser api token from setting
cust_idnumbercontatctus table id

رموز الحالة

عادة 200 OK مع JSON؛ أخطاء التحقق تعيد 4xx.

عينات الكود (GET وPOST)

الأمثلة تستخدم أسماء الحقول من الجدول — GET كسلسلة استعلام، POST بنفس المفاتيح كـ JSON أو نموذج.

وصف إضافي

https://biz1.co.il/api/get_all_documents_data?api_token=YOUR_API_TOKEN_FROM_SETTING&cust_id=108545

api_token => (Required) – user api token from setting
cust_id => (Required) – contatctus table id

عينة استجابة

{
  "success": true,
  "data": {}
}

شكل الاستجابة يختلف حسب العملية.

Try it — عيّن المضيف والرمز في أداة الاختبار أدناه.

أمثلة الكود (GET وPOST)

أمثلة مبنية على جدول المعاملات أعلاه — GET بالاستعلام، POST بنفس الحقول كـ JSON أو نموذج.

# Operation: Get all documents data
# Host: replace {user}.{domain} with your tenant.
# Path includes the operation — no separate api= field. Legacy: POST/GET the same fields to https://{user}.{domain}/api.php with api=get_all_documents_data.

# --- GET (query string) ---
# One-line sample (add every parameter from the table):
curl -sS 'https://{user}.{domain}/api/get_all_documents_data?api_token=YOUR_API_TOKEN_FROM_SETTING&cust_id=108545'

curl -sS -G 'https://{user}.{domain}/api/get_all_documents_data' \
  --data-urlencode 'api_token=YOUR_API_TOKEN_FROM_SETTING' \
  --data-urlencode 'cust_id=108545'

# --- POST (JSON body — same field names) ---
curl -sS -X POST 'https://{user}.{domain}/api/get_all_documents_data' \
  -H 'Content-Type: application/json' \
  -d '{"api_token":"YOUR_API_TOKEN_FROM_SETTING","cust_id":"108545"}'

جرب — إرسال من الموقع

يُرسل الرمز إلى وسيط الموقع فقط لتمرير الطلب إلى Biz1 — دون تخزين.

/api/get_all_documents_data · alt: /api.phpGET · POST

Edit client file api

الاسم بالإنجليزية كما في الكتالوج.

This API is used to edit notes in client files.

GET / POST · قد يظهر في القائمة GET فقط؛ نفس الحقول لـ GET أو POST.

نقطة النهاية

https://biz1.co.il/api/edit_client_file_api

عنوانك: https://{user}.{domain}/api/edit_client_file_api · بديل: https://{user}.{domain}/api.php

مثال رابط GET: https://biz1.co.il/api/edit_client_file_api?api_token=YOUR_API_TOKEN_FROM_SETTING&data_id=650&data_val=test — العملية في المسار؛ أضف بقية الحقول دون api=.

Parameters

The operation name is already in the URL path (…/edit_client_file_api) — do not add a separate api= field for this endpoint. Use the same field names as Test API as GET query parameters and/or POST JSON or form. Legacy: you can call api.php with api=edit_client_file_api instead of the path segment.

NameTypeDescription
api_tokenstringuser api token from setting
data_idnumberclient file id
data_valstringupdated notes

رموز الحالة

عادة 200 OK مع JSON؛ أخطاء التحقق تعيد 4xx.

عينات الكود (GET وPOST)

الأمثلة تستخدم أسماء الحقول من الجدول — GET كسلسلة استعلام، POST بنفس المفاتيح كـ JSON أو نموذج.

وصف إضافي

https://biz1.co.il/api/edit_client_file_api?api_token=YOUR_API_TOKEN_FROM_SETTING&data_id=650&data_val=test

api_token => (Required) – user api token from setting
data_id => (Required) – client file id
data_val => (Required) – updated notes

عينة استجابة

{
  "success": true,
  "data": {}
}

شكل الاستجابة يختلف حسب العملية.

Try it — عيّن المضيف والرمز في أداة الاختبار أدناه.

أمثلة الكود (GET وPOST)

أمثلة مبنية على جدول المعاملات أعلاه — GET بالاستعلام، POST بنفس الحقول كـ JSON أو نموذج.

# Operation: Edit client file api
# Host: replace {user}.{domain} with your tenant.
# Path includes the operation — no separate api= field. Legacy: POST/GET the same fields to https://{user}.{domain}/api.php with api=edit_client_file_api.

# --- GET (query string) ---
# One-line sample (add every parameter from the table):
curl -sS 'https://{user}.{domain}/api/edit_client_file_api?api_token=YOUR_API_TOKEN_FROM_SETTING&data_id=650&data_val=test'

curl -sS -G 'https://{user}.{domain}/api/edit_client_file_api' \
  --data-urlencode 'api_token=YOUR_API_TOKEN_FROM_SETTING' \
  --data-urlencode 'data_id=650' \
  --data-urlencode 'data_val=test'

# --- POST (JSON body — same field names) ---
curl -sS -X POST 'https://{user}.{domain}/api/edit_client_file_api' \
  -H 'Content-Type: application/json' \
  -d '{"api_token":"YOUR_API_TOKEN_FROM_SETTING","data_id":"650","data_val":"test"}'

جرب — إرسال من الموقع

يُرسل الرمز إلى وسيط الموقع فقط لتمرير الطلب إلى Biz1 — دون تخزين.

/api/edit_client_file_api · alt: /api.phpGET · POST

Delete client file api

الاسم بالإنجليزية كما في الكتالوج.

This API is used to delete client files.

GET / POST · قد يظهر في القائمة GET فقط؛ نفس الحقول لـ GET أو POST.

نقطة النهاية

https://biz1.co.il/api/delete_client_file_api

عنوانك: https://{user}.{domain}/api/delete_client_file_api · بديل: https://{user}.{domain}/api.php

مثال رابط GET: https://biz1.co.il/api/delete_client_file_api?api_token=YOUR_API_TOKEN_FROM_SETTING&file_id=650 — العملية في المسار؛ أضف بقية الحقول دون api=.

Parameters

The operation name is already in the URL path (…/delete_client_file_api) — do not add a separate api= field for this endpoint. Use the same field names as Test API as GET query parameters and/or POST JSON or form. Legacy: you can call api.php with api=delete_client_file_api instead of the path segment.

NameTypeDescription
api_tokenstringuser api token from setting
file_idnumberclient file id

رموز الحالة

عادة 200 OK مع JSON؛ أخطاء التحقق تعيد 4xx.

عينات الكود (GET وPOST)

الأمثلة تستخدم أسماء الحقول من الجدول — GET كسلسلة استعلام، POST بنفس المفاتيح كـ JSON أو نموذج.

وصف إضافي

https://biz1.co.il/api/delete_client_file_api?api_token=YOUR_API_TOKEN_FROM_SETTING&file_id=650

api_token => (Required) – user api token from setting
file_id => (Required) – client file id

عينة استجابة

{
  "success": true,
  "data": {}
}

شكل الاستجابة يختلف حسب العملية.

Try it — عيّن المضيف والرمز في أداة الاختبار أدناه.

أمثلة الكود (GET وPOST)

أمثلة مبنية على جدول المعاملات أعلاه — GET بالاستعلام، POST بنفس الحقول كـ JSON أو نموذج.

# Operation: Delete client file api
# Host: replace {user}.{domain} with your tenant.
# Path includes the operation — no separate api= field. Legacy: POST/GET the same fields to https://{user}.{domain}/api.php with api=delete_client_file_api.

# --- GET (query string) ---
# One-line sample (add every parameter from the table):
curl -sS 'https://{user}.{domain}/api/delete_client_file_api?api_token=YOUR_API_TOKEN_FROM_SETTING&file_id=650'

curl -sS -G 'https://{user}.{domain}/api/delete_client_file_api' \
  --data-urlencode 'api_token=YOUR_API_TOKEN_FROM_SETTING' \
  --data-urlencode 'file_id=650'

# --- POST (JSON body — same field names) ---
curl -sS -X POST 'https://{user}.{domain}/api/delete_client_file_api' \
  -H 'Content-Type: application/json' \
  -d '{"api_token":"YOUR_API_TOKEN_FROM_SETTING","file_id":"650"}'

جرب — إرسال من الموقع

يُرسل الرمز إلى وسيط الموقع فقط لتمرير الطلب إلى Biz1 — دون تخزين.

/api/delete_client_file_api · alt: /api.phpGET · POST

Get mission count data

الاسم بالإنجليزية كما في الكتالوج.

This API is used to get mission counts by type, such as My Missions, Created by Me, and All Team Missions.

GET / POST · قد يظهر في القائمة GET فقط؛ نفس الحقول لـ GET أو POST.

نقطة النهاية

https://biz1.co.il/api/get_mission_count_data

عنوانك: https://{user}.{domain}/api/get_mission_count_data · بديل: https://{user}.{domain}/api.php

مثال رابط GET: https://biz1.co.il/api/get_mission_count_data?api_token=YOUR_API_TOKEN_FROM_SETTING&type_of_mission=value — العملية في المسار؛ أضف بقية الحقول دون api=.

Parameters

The operation name is already in the URL path (…/get_mission_count_data) — do not add a separate api= field for this endpoint. Use the same field names as Test API as GET query parameters and/or POST JSON or form. Legacy: you can call api.php with api=get_mission_count_data instead of the path segment.

NameTypeDescription
api_tokenstringuser api token from setting
type_of_missionstringtype of mission (done,not_done))

رموز الحالة

عادة 200 OK مع JSON؛ أخطاء التحقق تعيد 4xx.

عينات الكود (GET وPOST)

الأمثلة تستخدم أسماء الحقول من الجدول — GET كسلسلة استعلام، POST بنفس المفاتيح كـ JSON أو نموذج.

وصف إضافي

https://biz1.co.il/api/get_mission_count_data?api_token=YOUR_API_TOKEN_FROM_SETTING&type_of_mission=value

api_token => (Required) – user api token from setting
type_of_mission => (Required) – type of mission (done,not_done))

عينة استجابة

{
  "success": true,
  "data": {}
}

شكل الاستجابة يختلف حسب العملية.

Try it — عيّن المضيف والرمز في أداة الاختبار أدناه.

أمثلة الكود (GET وPOST)

أمثلة مبنية على جدول المعاملات أعلاه — GET بالاستعلام، POST بنفس الحقول كـ JSON أو نموذج.

# Operation: Get mission count data
# Host: replace {user}.{domain} with your tenant.
# Path includes the operation — no separate api= field. Legacy: POST/GET the same fields to https://{user}.{domain}/api.php with api=get_mission_count_data.

# --- GET (query string) ---
# One-line sample (add every parameter from the table):
curl -sS 'https://{user}.{domain}/api/get_mission_count_data?api_token=YOUR_API_TOKEN_FROM_SETTING&type_of_mission=value'

curl -sS -G 'https://{user}.{domain}/api/get_mission_count_data' \
  --data-urlencode 'api_token=YOUR_API_TOKEN_FROM_SETTING' \
  --data-urlencode 'type_of_mission=value'

# --- POST (JSON body — same field names) ---
curl -sS -X POST 'https://{user}.{domain}/api/get_mission_count_data' \
  -H 'Content-Type: application/json' \
  -d '{"api_token":"YOUR_API_TOKEN_FROM_SETTING","type_of_mission":"value"}'

جرب — إرسال من الموقع

يُرسل الرمز إلى وسيط الموقع فقط لتمرير الطلب إلى Biz1 — دون تخزين.

/api/get_mission_count_data · alt: /api.phpGET · POST

user upload client file

الاسم بالإنجليزية كما في الكتالوج.

This API is used to upload client files for a user.

GET / POST · قد يظهر في القائمة GET فقط؛ نفس الحقول لـ GET أو POST.

نقطة النهاية

https://biz1.co.il/api/user_upload_client_file

عنوانك: https://{user}.{domain}/api/user_upload_client_file · بديل: https://{user}.{domain}/api.php

مثال رابط GET: https://biz1.co.il/api/user_upload_client_file?api_token=YOUR_API_TOKEN_FROM_SETTING&folder=value&notes=value&cust_id=108545 — العملية في المسار؛ أضف بقية الحقول دون api=.

Parameters

The operation name is already in the URL path (…/user_upload_client_file) — do not add a separate api= field for this endpoint. Use the same field names as Test API as GET query parameters and/or POST JSON or form. Legacy: you can call api.php with api=user_upload_client_file instead of the path segment.

NameTypeDescription
api_tokenstringuser api token from setting
folderstringfolder name or folder id
notesstringfile notes
cust_idnumbercustomer id

رموز الحالة

عادة 200 OK مع JSON؛ أخطاء التحقق تعيد 4xx.

عينات الكود (GET وPOST)

الأمثلة تستخدم أسماء الحقول من الجدول — GET كسلسلة استعلام، POST بنفس المفاتيح كـ JSON أو نموذج.

وصف إضافي

https://biz1.co.il/api/user_upload_client_file?api_token=YOUR_API_TOKEN_FROM_SETTING&folder=value&notes=value&cust_id=108545

api_token => (Required) – user api token from setting
folder => (Required) – folder name or folder id
notes => (Required) – file notes
cust_id => (Required) – customer id

عينة استجابة

{
  "success": true,
  "data": {}
}

شكل الاستجابة يختلف حسب العملية.

Try it — عيّن المضيف والرمز في أداة الاختبار أدناه.

أمثلة الكود (GET وPOST)

أمثلة مبنية على جدول المعاملات أعلاه — GET بالاستعلام، POST بنفس الحقول كـ JSON أو نموذج.

# Operation: user upload client file
# Host: replace {user}.{domain} with your tenant.
# Path includes the operation — no separate api= field. Legacy: POST/GET the same fields to https://{user}.{domain}/api.php with api=user_upload_client_file.

# --- GET (query string) ---
# One-line sample (add every parameter from the table):
curl -sS 'https://{user}.{domain}/api/user_upload_client_file?api_token=YOUR_API_TOKEN_FROM_SETTING&folder=value&notes=value&cust_id=108545'

curl -sS -G 'https://{user}.{domain}/api/user_upload_client_file' \
  --data-urlencode 'api_token=YOUR_API_TOKEN_FROM_SETTING' \
  --data-urlencode 'folder=value' \
  --data-urlencode 'notes=value' \
  --data-urlencode 'cust_id=108545'

# --- POST (JSON body — same field names) ---
curl -sS -X POST 'https://{user}.{domain}/api/user_upload_client_file' \
  -H 'Content-Type: application/json' \
  -d '{"api_token":"YOUR_API_TOKEN_FROM_SETTING","folder":"value","notes":"value","cust_id":"108545"}'

جرب — إرسال من الموقع

يُرسل الرمز إلى وسيط الموقع فقط لتمرير الطلب إلى Biz1 — دون تخزين.

/api/user_upload_client_file · alt: /api.phpGET · POST

Get global folders data

الاسم بالإنجليزية كما في الكتالوج.

This api is used for get main folders detail

GET / POST · قد يظهر في القائمة GET فقط؛ نفس الحقول لـ GET أو POST.

نقطة النهاية

https://biz1.co.il/api/get_global_folders_data

عنوانك: https://{user}.{domain}/api/get_global_folders_data · بديل: https://{user}.{domain}/api.php

مثال رابط GET: https://biz1.co.il/api/get_global_folders_data?api_token=YOUR_API_TOKEN_FROM_SETTING&cust_id=108545 — العملية في المسار؛ أضف بقية الحقول دون api=.

Parameters

The operation name is already in the URL path (…/get_global_folders_data) — do not add a separate api= field for this endpoint. Use the same field names as Test API as GET query parameters and/or POST JSON or form. Legacy: you can call api.php with api=get_global_folders_data instead of the path segment.

NameTypeDescription
api_tokenstringuser api token from setting
cust_idnumbersearch by customer id

رموز الحالة

عادة 200 OK مع JSON؛ أخطاء التحقق تعيد 4xx.

عينات الكود (GET وPOST)

الأمثلة تستخدم أسماء الحقول من الجدول — GET كسلسلة استعلام، POST بنفس المفاتيح كـ JSON أو نموذج.

وصف إضافي

https://biz1.co.il/api/get_global_folders_data?api_token=YOUR_API_TOKEN_FROM_SETTING&cust_id=108545

api_token => (Required) – user api token from setting
cust_id => (Required) – search by customer id

عينة استجابة

{
  "success": true,
  "data": {}
}

شكل الاستجابة يختلف حسب العملية.

Try it — عيّن المضيف والرمز في أداة الاختبار أدناه.

أمثلة الكود (GET وPOST)

أمثلة مبنية على جدول المعاملات أعلاه — GET بالاستعلام، POST بنفس الحقول كـ JSON أو نموذج.

# Operation: Get global folders data
# Host: replace {user}.{domain} with your tenant.
# Path includes the operation — no separate api= field. Legacy: POST/GET the same fields to https://{user}.{domain}/api.php with api=get_global_folders_data.

# --- GET (query string) ---
# One-line sample (add every parameter from the table):
curl -sS 'https://{user}.{domain}/api/get_global_folders_data?api_token=YOUR_API_TOKEN_FROM_SETTING&cust_id=108545'

curl -sS -G 'https://{user}.{domain}/api/get_global_folders_data' \
  --data-urlencode 'api_token=YOUR_API_TOKEN_FROM_SETTING' \
  --data-urlencode 'cust_id=108545'

# --- POST (JSON body — same field names) ---
curl -sS -X POST 'https://{user}.{domain}/api/get_global_folders_data' \
  -H 'Content-Type: application/json' \
  -d '{"api_token":"YOUR_API_TOKEN_FROM_SETTING","cust_id":"108545"}'

جرب — إرسال من الموقع

يُرسل الرمز إلى وسيط الموقع فقط لتمرير الطلب إلى Biz1 — دون تخزين.

/api/get_global_folders_data · alt: /api.phpGET · POST

Get sub folder html

الاسم بالإنجليزية كما في الكتالوج.

This api is used for get sub folder

GET / POST · قد يظهر في القائمة GET فقط؛ نفس الحقول لـ GET أو POST.

نقطة النهاية

https://biz1.co.il/api/get_sub_folder_html

عنوانك: https://{user}.{domain}/api/get_sub_folder_html · بديل: https://{user}.{domain}/api.php

مثال رابط GET: https://biz1.co.il/api/get_sub_folder_html?api_token=YOUR_API_TOKEN_FROM_SETTING&data_id=650&cust_id=108545 — العملية في المسار؛ أضف بقية الحقول دون api=.

Parameters

The operation name is already in the URL path (…/get_sub_folder_html) — do not add a separate api= field for this endpoint. Use the same field names as Test API as GET query parameters and/or POST JSON or form. Legacy: you can call api.php with api=get_sub_folder_html instead of the path segment.

NameTypeDescription
api_tokenstringuser api token from setting
data_idnumberparent folder id
cust_idnumbersearch by customer id

رموز الحالة

عادة 200 OK مع JSON؛ أخطاء التحقق تعيد 4xx.

عينات الكود (GET وPOST)

الأمثلة تستخدم أسماء الحقول من الجدول — GET كسلسلة استعلام، POST بنفس المفاتيح كـ JSON أو نموذج.

وصف إضافي

https://biz1.co.il/api/get_sub_folder_html?api_token=YOUR_API_TOKEN_FROM_SETTING&data_id=650&cust_id=108545

api_token => (Required) – user api token from setting
data_id => (Required) – parent folder id
cust_id => (Required) – search by customer id

عينة استجابة

{
  "success": true,
  "data": {}
}

شكل الاستجابة يختلف حسب العملية.

Try it — عيّن المضيف والرمز في أداة الاختبار أدناه.

أمثلة الكود (GET وPOST)

أمثلة مبنية على جدول المعاملات أعلاه — GET بالاستعلام، POST بنفس الحقول كـ JSON أو نموذج.

# Operation: Get sub folder html
# Host: replace {user}.{domain} with your tenant.
# Path includes the operation — no separate api= field. Legacy: POST/GET the same fields to https://{user}.{domain}/api.php with api=get_sub_folder_html.

# --- GET (query string) ---
# One-line sample (add every parameter from the table):
curl -sS 'https://{user}.{domain}/api/get_sub_folder_html?api_token=YOUR_API_TOKEN_FROM_SETTING&data_id=650&cust_id=108545'

curl -sS -G 'https://{user}.{domain}/api/get_sub_folder_html' \
  --data-urlencode 'api_token=YOUR_API_TOKEN_FROM_SETTING' \
  --data-urlencode 'data_id=650' \
  --data-urlencode 'cust_id=108545'

# --- POST (JSON body — same field names) ---
curl -sS -X POST 'https://{user}.{domain}/api/get_sub_folder_html' \
  -H 'Content-Type: application/json' \
  -d '{"api_token":"YOUR_API_TOKEN_FROM_SETTING","data_id":"650","cust_id":"108545"}'

جرب — إرسال من الموقع

يُرسل الرمز إلى وسيط الموقع فقط لتمرير الطلب إلى Biz1 — دون تخزين.

/api/get_sub_folder_html · alt: /api.phpGET · POST

Get user files data

الاسم بالإنجليزية كما في الكتالوج.

This api is used for get all user files

GET / POST · قد يظهر في القائمة GET فقط؛ نفس الحقول لـ GET أو POST.

نقطة النهاية

https://biz1.co.il/api/get_user_files_data

عنوانك: https://{user}.{domain}/api/get_user_files_data · بديل: https://{user}.{domain}/api.php

مثال رابط GET: https://biz1.co.il/api/get_user_files_data?api_token=YOUR_API_TOKEN_FROM_SETTING&active_folder=value&name_search=value&cust_id=108545 — العملية في المسار؛ أضف بقية الحقول دون api=.

Parameters

The operation name is already in the URL path (…/get_user_files_data) — do not add a separate api= field for this endpoint. Use the same field names as Test API as GET query parameters and/or POST JSON or form. Legacy: you can call api.php with api=get_user_files_data instead of the path segment.

NameTypeDescription
api_tokenstringuser api token from setting
active_folderstringsearch by folder name
name_searchstringsearch by file name
cust_idnumbersearch by customer id

رموز الحالة

عادة 200 OK مع JSON؛ أخطاء التحقق تعيد 4xx.

عينات الكود (GET وPOST)

الأمثلة تستخدم أسماء الحقول من الجدول — GET كسلسلة استعلام، POST بنفس المفاتيح كـ JSON أو نموذج.

وصف إضافي

https://biz1.co.il/api/get_user_files_data?api_token=YOUR_API_TOKEN_FROM_SETTING&active_folder=value&name_search=value&cust_id=108545

api_token => (Required) – user api token from setting
active_folder => (Required) – search by folder name
name_search => (Required) – search by file name
cust_id => (Required) – search by customer id

عينة استجابة

{
  "success": true,
  "data": {}
}

شكل الاستجابة يختلف حسب العملية.

Try it — عيّن المضيف والرمز في أداة الاختبار أدناه.

أمثلة الكود (GET وPOST)

أمثلة مبنية على جدول المعاملات أعلاه — GET بالاستعلام، POST بنفس الحقول كـ JSON أو نموذج.

# Operation: Get user files data
# Host: replace {user}.{domain} with your tenant.
# Path includes the operation — no separate api= field. Legacy: POST/GET the same fields to https://{user}.{domain}/api.php with api=get_user_files_data.

# --- GET (query string) ---
# One-line sample (add every parameter from the table):
curl -sS 'https://{user}.{domain}/api/get_user_files_data?api_token=YOUR_API_TOKEN_FROM_SETTING&active_folder=value&name_search=value&cust_id=108545'

curl -sS -G 'https://{user}.{domain}/api/get_user_files_data' \
  --data-urlencode 'api_token=YOUR_API_TOKEN_FROM_SETTING' \
  --data-urlencode 'active_folder=value' \
  --data-urlencode 'name_search=value' \
  --data-urlencode 'cust_id=108545'

# --- POST (JSON body — same field names) ---
curl -sS -X POST 'https://{user}.{domain}/api/get_user_files_data' \
  -H 'Content-Type: application/json' \
  -d '{"api_token":"YOUR_API_TOKEN_FROM_SETTING","active_folder":"value","name_search":"value","cust_id":"108545"}'

جرب — إرسال من الموقع

يُرسل الرمز إلى وسيط الموقع فقط لتمرير الطلب إلى Biz1 — دون تخزين.

/api/get_user_files_data · alt: /api.phpGET · POST

Remove mission image api

الاسم بالإنجليزية كما في الكتالوج.

This API is used to remove files from a mission.

GET / POST · قد يظهر في القائمة GET فقط؛ نفس الحقول لـ GET أو POST.

نقطة النهاية

https://biz1.co.il/api/remove_mission_image_api

عنوانك: https://{user}.{domain}/api/remove_mission_image_api · بديل: https://{user}.{domain}/api.php

مثال رابط GET: https://biz1.co.il/api/remove_mission_image_api?api_token=YOUR_API_TOKEN_FROM_SETTING&id=value&data_name=value — العملية في المسار؛ أضف بقية الحقول دون api=.

Parameters

The operation name is already in the URL path (…/remove_mission_image_api) — do not add a separate api= field for this endpoint. Use the same field names as Test API as GET query parameters and/or POST JSON or form. Legacy: you can call api.php with api=remove_mission_image_api instead of the path segment.

NameTypeDescription
api_tokenstringuser api token from setting
idstringMission ID to remove file
data_namestringdelete file name for mission

رموز الحالة

عادة 200 OK مع JSON؛ أخطاء التحقق تعيد 4xx.

عينات الكود (GET وPOST)

الأمثلة تستخدم أسماء الحقول من الجدول — GET كسلسلة استعلام، POST بنفس المفاتيح كـ JSON أو نموذج.

وصف إضافي

https://biz1.co.il/api/remove_mission_image_api?api_token=YOUR_API_TOKEN_FROM_SETTING&id=value&data_name=value

api_token => (Required) – user api token from setting
id => (Required) – Mission ID to remove file
data_name => (Required) – delete file name for mission

عينة استجابة

{
  "success": true,
  "data": {}
}

شكل الاستجابة يختلف حسب العملية.

Try it — عيّن المضيف والرمز في أداة الاختبار أدناه.

أمثلة الكود (GET وPOST)

أمثلة مبنية على جدول المعاملات أعلاه — GET بالاستعلام، POST بنفس الحقول كـ JSON أو نموذج.

# Operation: Remove mission image api
# Host: replace {user}.{domain} with your tenant.
# Path includes the operation — no separate api= field. Legacy: POST/GET the same fields to https://{user}.{domain}/api.php with api=remove_mission_image_api.

# --- GET (query string) ---
# One-line sample (add every parameter from the table):
curl -sS 'https://{user}.{domain}/api/remove_mission_image_api?api_token=YOUR_API_TOKEN_FROM_SETTING&id=value&data_name=value'

curl -sS -G 'https://{user}.{domain}/api/remove_mission_image_api' \
  --data-urlencode 'api_token=YOUR_API_TOKEN_FROM_SETTING' \
  --data-urlencode 'id=value' \
  --data-urlencode 'data_name=value'

# --- POST (JSON body — same field names) ---
curl -sS -X POST 'https://{user}.{domain}/api/remove_mission_image_api' \
  -H 'Content-Type: application/json' \
  -d '{"api_token":"YOUR_API_TOKEN_FROM_SETTING","id":"value","data_name":"value"}'

جرب — إرسال من الموقع

يُرسل الرمز إلى وسيط الموقع فقط لتمرير الطلب إلى Biz1 — دون تخزين.

/api/remove_mission_image_api · alt: /api.phpGET · POST

Get project details

الاسم بالإنجليزية كما في الكتالوج.

This API is used to retrieve user project data.

GET / POST · قد يظهر في القائمة GET فقط؛ نفس الحقول لـ GET أو POST.

نقطة النهاية

https://biz1.co.il/api/get_project_details

عنوانك: https://{user}.{domain}/api/get_project_details · بديل: https://{user}.{domain}/api.php

مثال رابط GET: https://biz1.co.il/api/get_project_details?api_token=YOUR_API_TOKEN_FROM_SETTING — العملية في المسار؛ أضف بقية الحقول دون api=.

Parameters

The operation name is already in the URL path (…/get_project_details) — do not add a separate api= field for this endpoint. Use the same field names as Test API as GET query parameters and/or POST JSON or form. Legacy: you can call api.php with api=get_project_details instead of the path segment.

NameTypeDescription
api_tokenstring

رموز الحالة

عادة 200 OK مع JSON؛ أخطاء التحقق تعيد 4xx.

عينات الكود (GET وPOST)

الأمثلة تستخدم أسماء الحقول من الجدول — GET كسلسلة استعلام، POST بنفس المفاتيح كـ JSON أو نموذج.

وصف إضافي

https://biz1.co.il/api/get_project_details?api_token=YOUR_API_TOKEN_FROM_SETTING

api_token => (Required) – —

عينة استجابة

{
  "success": true,
  "data": {}
}

شكل الاستجابة يختلف حسب العملية.

Try it — عيّن المضيف والرمز في أداة الاختبار أدناه.

أمثلة الكود (GET وPOST)

أمثلة مبنية على جدول المعاملات أعلاه — GET بالاستعلام، POST بنفس الحقول كـ JSON أو نموذج.

# Operation: Get project details
# Host: replace {user}.{domain} with your tenant.
# Path includes the operation — no separate api= field. Legacy: POST/GET the same fields to https://{user}.{domain}/api.php with api=get_project_details.

# --- GET (query string) ---
# One-line sample (add every parameter from the table):
curl -sS 'https://{user}.{domain}/api/get_project_details?api_token=YOUR_API_TOKEN_FROM_SETTING'

curl -sS -G 'https://{user}.{domain}/api/get_project_details' \
  --data-urlencode 'api_token=YOUR_API_TOKEN_FROM_SETTING'

# --- POST (JSON body — same field names) ---
curl -sS -X POST 'https://{user}.{domain}/api/get_project_details' \
  -H 'Content-Type: application/json' \
  -d '{"api_token":"YOUR_API_TOKEN_FROM_SETTING"}'

جرب — إرسال من الموقع

يُرسل الرمز إلى وسيط الموقع فقط لتمرير الطلب إلى Biz1 — دون تخزين.

/api/get_project_details · alt: /api.phpGET · POST

Get multiple customer

الاسم بالإنجليزية كما في الكتالوج.

This Api Retrieves customer details based on one or more identifiers such as customer name, phone number, or email address. Requires a valid API token for authorization.

GET / POST · قد يظهر في القائمة GET فقط؛ نفس الحقول لـ GET أو POST.

نقطة النهاية

https://biz1.co.il/api/get_multiple_customer

عنوانك: https://{user}.{domain}/api/get_multiple_customer · بديل: https://{user}.{domain}/api.php

مثال رابط GET: https://biz1.co.il/api/get_multiple_customer?api_token=YOUR_API_TOKEN_FROM_SETTING&phone=0500000000&email=jane%40example.com&name=Jane — العملية في المسار؛ أضف بقية الحقول دون api=.

Parameters

The operation name is already in the URL path (…/get_multiple_customer) — do not add a separate api= field for this endpoint. Use the same field names as Test API as GET query parameters and/or POST JSON or form. Legacy: you can call api.php with api=get_multiple_customer instead of the path segment.

NameTypeDescription
api_tokenstring
phonestring
emailstring
namestring

رموز الحالة

عادة 200 OK مع JSON؛ أخطاء التحقق تعيد 4xx.

عينات الكود (GET وPOST)

الأمثلة تستخدم أسماء الحقول من الجدول — GET كسلسلة استعلام، POST بنفس المفاتيح كـ JSON أو نموذج.

وصف إضافي

https://biz1.co.il/api/get_multiple_customer?api_token=YOUR_API_TOKEN_FROM_SETTING&phone=0500000000&email=jane%40example.com&name=Jane

api_token => (Required) – —
phone => (Optional) – —
email => (Required) – —
name => (Required) – —

عينة استجابة

{
  "success": true,
  "data": {}
}

شكل الاستجابة يختلف حسب العملية.

Try it — عيّن المضيف والرمز في أداة الاختبار أدناه.

أمثلة الكود (GET وPOST)

أمثلة مبنية على جدول المعاملات أعلاه — GET بالاستعلام، POST بنفس الحقول كـ JSON أو نموذج.

# Operation: Get multiple customer
# Host: replace {user}.{domain} with your tenant.
# Path includes the operation — no separate api= field. Legacy: POST/GET the same fields to https://{user}.{domain}/api.php with api=get_multiple_customer.

# --- GET (query string) ---
# One-line sample (add every parameter from the table):
curl -sS 'https://{user}.{domain}/api/get_multiple_customer?api_token=YOUR_API_TOKEN_FROM_SETTING&phone=0500000000&email=jane%40example.com&name=Jane'

curl -sS -G 'https://{user}.{domain}/api/get_multiple_customer' \
  --data-urlencode 'api_token=YOUR_API_TOKEN_FROM_SETTING' \
  --data-urlencode 'phone=0500000000' \
  --data-urlencode '[email protected]' \
  --data-urlencode 'name=Jane'

# --- POST (JSON body — same field names) ---
curl -sS -X POST 'https://{user}.{domain}/api/get_multiple_customer' \
  -H 'Content-Type: application/json' \
  -d '{"api_token":"YOUR_API_TOKEN_FROM_SETTING","phone":"0500000000","email":"[email protected]","name":"Jane"}'

جرب — إرسال من الموقع

يُرسل الرمز إلى وسيط الموقع فقط لتمرير الطلب إلى Biz1 — دون تخزين.

/api/get_multiple_customer · alt: /api.phpGET · POST

get selected extension details

الاسم بالإنجليزية كما في الكتالوج.

This api used to single extension get

GET / POST · قد يظهر في القائمة GET فقط؛ نفس الحقول لـ GET أو POST.

نقطة النهاية

https://biz1.co.il/api/get_selected_extension_details

عنوانك: https://{user}.{domain}/api/get_selected_extension_details · بديل: https://{user}.{domain}/api.php

مثال رابط GET: https://biz1.co.il/api/get_selected_extension_details?api_token=YOUR_API_TOKEN_FROM_SETTING&extension_id=value — العملية في المسار؛ أضف بقية الحقول دون api=.

Parameters

The operation name is already in the URL path (…/get_selected_extension_details) — do not add a separate api= field for this endpoint. Use the same field names as Test API as GET query parameters and/or POST JSON or form. Legacy: you can call api.php with api=get_selected_extension_details instead of the path segment.

NameTypeDescription
api_tokenstringuser api token from setting
extension_idnumberextension table id

رموز الحالة

عادة 200 OK مع JSON؛ أخطاء التحقق تعيد 4xx.

عينات الكود (GET وPOST)

الأمثلة تستخدم أسماء الحقول من الجدول — GET كسلسلة استعلام، POST بنفس المفاتيح كـ JSON أو نموذج.

وصف إضافي

https://biz1.co.il/api/get_selected_extension_details?api_token=YOUR_API_TOKEN_FROM_SETTING&extension_id=value

api_token => (Required) – user api token from setting
extension_id => (Required) – extension table id

عينة استجابة

{
  "success": true,
  "data": {}
}

شكل الاستجابة يختلف حسب العملية.

Try it — عيّن المضيف والرمز في أداة الاختبار أدناه.

أمثلة الكود (GET وPOST)

أمثلة مبنية على جدول المعاملات أعلاه — GET بالاستعلام، POST بنفس الحقول كـ JSON أو نموذج.

# Operation: get selected extension details
# Host: replace {user}.{domain} with your tenant.
# Path includes the operation — no separate api= field. Legacy: POST/GET the same fields to https://{user}.{domain}/api.php with api=get_selected_extension_details.

# --- GET (query string) ---
# One-line sample (add every parameter from the table):
curl -sS 'https://{user}.{domain}/api/get_selected_extension_details?api_token=YOUR_API_TOKEN_FROM_SETTING&extension_id=value'

curl -sS -G 'https://{user}.{domain}/api/get_selected_extension_details' \
  --data-urlencode 'api_token=YOUR_API_TOKEN_FROM_SETTING' \
  --data-urlencode 'extension_id=value'

# --- POST (JSON body — same field names) ---
curl -sS -X POST 'https://{user}.{domain}/api/get_selected_extension_details' \
  -H 'Content-Type: application/json' \
  -d '{"api_token":"YOUR_API_TOKEN_FROM_SETTING","extension_id":"value"}'

جرب — إرسال من الموقع

يُرسل الرمز إلى وسيط الموقع فقط لتمرير الطلب إلى Biz1 — دون تخزين.

/api/get_selected_extension_details · alt: /api.phpGET · POST

update extension by loginUser api

الاسم بالإنجليزية كما في الكتالوج.

This api used to extension update in user

GET / POST · قد يظهر في القائمة GET فقط؛ نفس الحقول لـ GET أو POST.

نقطة النهاية

https://biz1.co.il/api/update_extension_by_loginuser_api

عنوانك: https://{user}.{domain}/api/update_extension_by_loginuser_api · بديل: https://{user}.{domain}/api.php

مثال رابط GET: https://biz1.co.il/api/update_extension_by_loginuser_api?api_token=YOUR_API_TOKEN_FROM_SETTING&extension_id=value&extension_number=value — العملية في المسار؛ أضف بقية الحقول دون api=.

Parameters

The operation name is already in the URL path (…/update_extension_by_loginuser_api) — do not add a separate api= field for this endpoint. Use the same field names as Test API as GET query parameters and/or POST JSON or form. Legacy: you can call api.php with api=update_extension_by_loginuser_api instead of the path segment.

NameTypeDescription
api_tokenstringuser api token from setting
extension_idnumberextension table id
extension_numberstringextension name

رموز الحالة

عادة 200 OK مع JSON؛ أخطاء التحقق تعيد 4xx.

عينات الكود (GET وPOST)

الأمثلة تستخدم أسماء الحقول من الجدول — GET كسلسلة استعلام، POST بنفس المفاتيح كـ JSON أو نموذج.

وصف إضافي

https://biz1.co.il/api/update_extension_by_loginuser_api?api_token=YOUR_API_TOKEN_FROM_SETTING&extension_id=value&extension_number=value

api_token => (Required) – user api token from setting
extension_id => (Required) – extension table id
extension_number => (Required) – extension name

عينة استجابة

{
  "success": true,
  "data": {}
}

شكل الاستجابة يختلف حسب العملية.

Try it — عيّن المضيف والرمز في أداة الاختبار أدناه.

أمثلة الكود (GET وPOST)

أمثلة مبنية على جدول المعاملات أعلاه — GET بالاستعلام، POST بنفس الحقول كـ JSON أو نموذج.

# Operation: update extension by loginUser api
# Host: replace {user}.{domain} with your tenant.
# Path includes the operation — no separate api= field. Legacy: POST/GET the same fields to https://{user}.{domain}/api.php with api=update_extension_by_loginuser_api.

# --- GET (query string) ---
# One-line sample (add every parameter from the table):
curl -sS 'https://{user}.{domain}/api/update_extension_by_loginuser_api?api_token=YOUR_API_TOKEN_FROM_SETTING&extension_id=value&extension_number=value'

curl -sS -G 'https://{user}.{domain}/api/update_extension_by_loginuser_api' \
  --data-urlencode 'api_token=YOUR_API_TOKEN_FROM_SETTING' \
  --data-urlencode 'extension_id=value' \
  --data-urlencode 'extension_number=value'

# --- POST (JSON body — same field names) ---
curl -sS -X POST 'https://{user}.{domain}/api/update_extension_by_loginuser_api' \
  -H 'Content-Type: application/json' \
  -d '{"api_token":"YOUR_API_TOKEN_FROM_SETTING","extension_id":"value","extension_number":"value"}'

جرب — إرسال من الموقع

يُرسل الرمز إلى وسيط الموقع فقط لتمرير الطلب إلى Biz1 — دون تخزين.

/api/update_extension_by_loginuser_api · alt: /api.phpGET · POST

get extension details

الاسم بالإنجليزية كما في الكتالوج.

This api used to user all extension get

GET / POST · قد يظهر في القائمة GET فقط؛ نفس الحقول لـ GET أو POST.

نقطة النهاية

https://biz1.co.il/api/get_extension_details

عنوانك: https://{user}.{domain}/api/get_extension_details · بديل: https://{user}.{domain}/api.php

مثال رابط GET: https://biz1.co.il/api/get_extension_details?api_token=YOUR_API_TOKEN_FROM_SETTING — العملية في المسار؛ أضف بقية الحقول دون api=.

Parameters

The operation name is already in the URL path (…/get_extension_details) — do not add a separate api= field for this endpoint. Use the same field names as Test API as GET query parameters and/or POST JSON or form. Legacy: you can call api.php with api=get_extension_details instead of the path segment.

NameTypeDescription
api_tokenstringuser api token from setting

رموز الحالة

عادة 200 OK مع JSON؛ أخطاء التحقق تعيد 4xx.

عينات الكود (GET وPOST)

الأمثلة تستخدم أسماء الحقول من الجدول — GET كسلسلة استعلام، POST بنفس المفاتيح كـ JSON أو نموذج.

وصف إضافي

https://biz1.co.il/api/get_extension_details?api_token=YOUR_API_TOKEN_FROM_SETTING

api_token => (Required) – user api token from setting

عينة استجابة

{
  "success": true,
  "data": {}
}

شكل الاستجابة يختلف حسب العملية.

Try it — عيّن المضيف والرمز في أداة الاختبار أدناه.

أمثلة الكود (GET وPOST)

أمثلة مبنية على جدول المعاملات أعلاه — GET بالاستعلام، POST بنفس الحقول كـ JSON أو نموذج.

# Operation: get extension details
# Host: replace {user}.{domain} with your tenant.
# Path includes the operation — no separate api= field. Legacy: POST/GET the same fields to https://{user}.{domain}/api.php with api=get_extension_details.

# --- GET (query string) ---
# One-line sample (add every parameter from the table):
curl -sS 'https://{user}.{domain}/api/get_extension_details?api_token=YOUR_API_TOKEN_FROM_SETTING'

curl -sS -G 'https://{user}.{domain}/api/get_extension_details' \
  --data-urlencode 'api_token=YOUR_API_TOKEN_FROM_SETTING'

# --- POST (JSON body — same field names) ---
curl -sS -X POST 'https://{user}.{domain}/api/get_extension_details' \
  -H 'Content-Type: application/json' \
  -d '{"api_token":"YOUR_API_TOKEN_FROM_SETTING"}'

جرب — إرسال من الموقع

يُرسل الرمز إلى وسيط الموقع فقط لتمرير الطلب إلى Biz1 — دون تخزين.

/api/get_extension_details · alt: /api.phpGET · POST

stop time counter

الاسم بالإنجليزية كما في الكتالوج.

This api is used to customer timer stop

GET / POST · قد يظهر في القائمة GET فقط؛ نفس الحقول لـ GET أو POST.

نقطة النهاية

https://biz1.co.il/api/stop_time_counter

عنوانك: https://{user}.{domain}/api/stop_time_counter · بديل: https://{user}.{domain}/api.php

مثال رابط GET: https://biz1.co.il/api/stop_time_counter?api_token=YOUR_API_TOKEN_FROM_SETTING&contactus_id=value — العملية في المسار؛ أضف بقية الحقول دون api=.

Parameters

The operation name is already in the URL path (…/stop_time_counter) — do not add a separate api= field for this endpoint. Use the same field names as Test API as GET query parameters and/or POST JSON or form. Legacy: you can call api.php with api=stop_time_counter instead of the path segment.

NameTypeDescription
api_tokenstringuser api token from setting
contactus_idnumbercontatctus table id

رموز الحالة

عادة 200 OK مع JSON؛ أخطاء التحقق تعيد 4xx.

عينات الكود (GET وPOST)

الأمثلة تستخدم أسماء الحقول من الجدول — GET كسلسلة استعلام، POST بنفس المفاتيح كـ JSON أو نموذج.

وصف إضافي

https://biz1.co.il/api/stop_time_counter?api_token=YOUR_API_TOKEN_FROM_SETTING&contactus_id=value

api_token => (Required) – user api token from setting
contactus_id => (Required) – contatctus table id

عينة استجابة

{
  "success": true,
  "data": {}
}

شكل الاستجابة يختلف حسب العملية.

Try it — عيّن المضيف والرمز في أداة الاختبار أدناه.

أمثلة الكود (GET وPOST)

أمثلة مبنية على جدول المعاملات أعلاه — GET بالاستعلام، POST بنفس الحقول كـ JSON أو نموذج.

# Operation: stop time counter
# Host: replace {user}.{domain} with your tenant.
# Path includes the operation — no separate api= field. Legacy: POST/GET the same fields to https://{user}.{domain}/api.php with api=stop_time_counter.

# --- GET (query string) ---
# One-line sample (add every parameter from the table):
curl -sS 'https://{user}.{domain}/api/stop_time_counter?api_token=YOUR_API_TOKEN_FROM_SETTING&contactus_id=value'

curl -sS -G 'https://{user}.{domain}/api/stop_time_counter' \
  --data-urlencode 'api_token=YOUR_API_TOKEN_FROM_SETTING' \
  --data-urlencode 'contactus_id=value'

# --- POST (JSON body — same field names) ---
curl -sS -X POST 'https://{user}.{domain}/api/stop_time_counter' \
  -H 'Content-Type: application/json' \
  -d '{"api_token":"YOUR_API_TOKEN_FROM_SETTING","contactus_id":"value"}'

جرب — إرسال من الموقع

يُرسل الرمز إلى وسيط الموقع فقط لتمرير الطلب إلى Biz1 — دون تخزين.

/api/stop_time_counter · alt: /api.phpGET · POST

add time counter start

الاسم بالإنجليزية كما في الكتالوج.

This api is used customer timer start

GET / POST · قد يظهر في القائمة GET فقط؛ نفس الحقول لـ GET أو POST.

نقطة النهاية

https://biz1.co.il/api/add_time_counter_start

عنوانك: https://{user}.{domain}/api/add_time_counter_start · بديل: https://{user}.{domain}/api.php

مثال رابط GET: https://biz1.co.il/api/add_time_counter_start?api_token=YOUR_API_TOKEN_FROM_SETTING&contactus_id=value — العملية في المسار؛ أضف بقية الحقول دون api=.

Parameters

The operation name is already in the URL path (…/add_time_counter_start) — do not add a separate api= field for this endpoint. Use the same field names as Test API as GET query parameters and/or POST JSON or form. Legacy: you can call api.php with api=add_time_counter_start instead of the path segment.

NameTypeDescription
api_tokenstringuser api token from setting
contactus_idnumbercontatctus table id

رموز الحالة

عادة 200 OK مع JSON؛ أخطاء التحقق تعيد 4xx.

عينات الكود (GET وPOST)

الأمثلة تستخدم أسماء الحقول من الجدول — GET كسلسلة استعلام، POST بنفس المفاتيح كـ JSON أو نموذج.

وصف إضافي

https://biz1.co.il/api/add_time_counter_start?api_token=YOUR_API_TOKEN_FROM_SETTING&contactus_id=value

api_token => (Required) – user api token from setting
contactus_id => (Required) – contatctus table id

عينة استجابة

{
  "success": true,
  "data": {}
}

شكل الاستجابة يختلف حسب العملية.

Try it — عيّن المضيف والرمز في أداة الاختبار أدناه.

أمثلة الكود (GET وPOST)

أمثلة مبنية على جدول المعاملات أعلاه — GET بالاستعلام، POST بنفس الحقول كـ JSON أو نموذج.

# Operation: add time counter start
# Host: replace {user}.{domain} with your tenant.
# Path includes the operation — no separate api= field. Legacy: POST/GET the same fields to https://{user}.{domain}/api.php with api=add_time_counter_start.

# --- GET (query string) ---
# One-line sample (add every parameter from the table):
curl -sS 'https://{user}.{domain}/api/add_time_counter_start?api_token=YOUR_API_TOKEN_FROM_SETTING&contactus_id=value'

curl -sS -G 'https://{user}.{domain}/api/add_time_counter_start' \
  --data-urlencode 'api_token=YOUR_API_TOKEN_FROM_SETTING' \
  --data-urlencode 'contactus_id=value'

# --- POST (JSON body — same field names) ---
curl -sS -X POST 'https://{user}.{domain}/api/add_time_counter_start' \
  -H 'Content-Type: application/json' \
  -d '{"api_token":"YOUR_API_TOKEN_FROM_SETTING","contactus_id":"value"}'

جرب — إرسال من الموقع

يُرسل الرمز إلى وسيط الموقع فقط لتمرير الطلب إلى Biz1 — دون تخزين.

/api/add_time_counter_start · alt: /api.phpGET · POST

add stop time

الاسم بالإنجليزية كما في الكتالوج.

This API is used to user timer stop

GET / POST · قد يظهر في القائمة GET فقط؛ نفس الحقول لـ GET أو POST.

نقطة النهاية

https://biz1.co.il/api/add_stop_time

عنوانك: https://{user}.{domain}/api/add_stop_time · بديل: https://{user}.{domain}/api.php

مثال رابط GET: https://biz1.co.il/api/add_stop_time?api_token=YOUR_API_TOKEN_FROM_SETTING&id=value&note=value — العملية في المسار؛ أضف بقية الحقول دون api=.

Parameters

The operation name is already in the URL path (…/add_stop_time) — do not add a separate api= field for this endpoint. Use the same field names as Test API as GET query parameters and/or POST JSON or form. Legacy: you can call api.php with api=add_stop_time instead of the path segment.

NameTypeDescription
api_tokenstringuser api token from setting
idstringid from the team_hours table
notestring

رموز الحالة

عادة 200 OK مع JSON؛ أخطاء التحقق تعيد 4xx.

عينات الكود (GET وPOST)

الأمثلة تستخدم أسماء الحقول من الجدول — GET كسلسلة استعلام، POST بنفس المفاتيح كـ JSON أو نموذج.

وصف إضافي

https://biz1.co.il/api/add_stop_time?api_token=YOUR_API_TOKEN_FROM_SETTING&id=value&note=value

api_token => (Required) – user api token from setting
id => (Required) – id from the team_hours table
note => (Optional) – —

عينة استجابة

{
  "success": true,
  "data": {}
}

شكل الاستجابة يختلف حسب العملية.

Try it — عيّن المضيف والرمز في أداة الاختبار أدناه.

أمثلة الكود (GET وPOST)

أمثلة مبنية على جدول المعاملات أعلاه — GET بالاستعلام، POST بنفس الحقول كـ JSON أو نموذج.

# Operation: add stop time
# Host: replace {user}.{domain} with your tenant.
# Path includes the operation — no separate api= field. Legacy: POST/GET the same fields to https://{user}.{domain}/api.php with api=add_stop_time.

# --- GET (query string) ---
# One-line sample (add every parameter from the table):
curl -sS 'https://{user}.{domain}/api/add_stop_time?api_token=YOUR_API_TOKEN_FROM_SETTING&id=value&note=value'

curl -sS -G 'https://{user}.{domain}/api/add_stop_time' \
  --data-urlencode 'api_token=YOUR_API_TOKEN_FROM_SETTING' \
  --data-urlencode 'id=value' \
  --data-urlencode 'note=value'

# --- POST (JSON body — same field names) ---
curl -sS -X POST 'https://{user}.{domain}/api/add_stop_time' \
  -H 'Content-Type: application/json' \
  -d '{"api_token":"YOUR_API_TOKEN_FROM_SETTING","id":"value","note":"value"}'

جرب — إرسال من الموقع

يُرسل الرمز إلى وسيط الموقع فقط لتمرير الطلب إلى Biz1 — دون تخزين.

/api/add_stop_time · alt: /api.phpGET · POST

team hours when stop

الاسم بالإنجليزية كما في الكتالوج.

This API is used to timer stop after add note in user timer

GET / POST · قد يظهر في القائمة GET فقط؛ نفس الحقول لـ GET أو POST.

نقطة النهاية

https://biz1.co.il/api/team_hours_when_stop

عنوانك: https://{user}.{domain}/api/team_hours_when_stop · بديل: https://{user}.{domain}/api.php

مثال رابط GET: https://biz1.co.il/api/team_hours_when_stop?api_token=YOUR_API_TOKEN_FROM_SETTING — العملية في المسار؛ أضف بقية الحقول دون api=.

Parameters

The operation name is already in the URL path (…/team_hours_when_stop) — do not add a separate api= field for this endpoint. Use the same field names as Test API as GET query parameters and/or POST JSON or form. Legacy: you can call api.php with api=team_hours_when_stop instead of the path segment.

NameTypeDescription
api_tokenstringuser api token from setting

رموز الحالة

عادة 200 OK مع JSON؛ أخطاء التحقق تعيد 4xx.

عينات الكود (GET وPOST)

الأمثلة تستخدم أسماء الحقول من الجدول — GET كسلسلة استعلام، POST بنفس المفاتيح كـ JSON أو نموذج.

وصف إضافي

https://biz1.co.il/api/team_hours_when_stop?api_token=YOUR_API_TOKEN_FROM_SETTING

api_token => (Required) – user api token from setting

عينة استجابة

{
  "success": true,
  "data": {}
}

شكل الاستجابة يختلف حسب العملية.

Try it — عيّن المضيف والرمز في أداة الاختبار أدناه.

أمثلة الكود (GET وPOST)

أمثلة مبنية على جدول المعاملات أعلاه — GET بالاستعلام، POST بنفس الحقول كـ JSON أو نموذج.

# Operation: team hours when stop
# Host: replace {user}.{domain} with your tenant.
# Path includes the operation — no separate api= field. Legacy: POST/GET the same fields to https://{user}.{domain}/api.php with api=team_hours_when_stop.

# --- GET (query string) ---
# One-line sample (add every parameter from the table):
curl -sS 'https://{user}.{domain}/api/team_hours_when_stop?api_token=YOUR_API_TOKEN_FROM_SETTING'

curl -sS -G 'https://{user}.{domain}/api/team_hours_when_stop' \
  --data-urlencode 'api_token=YOUR_API_TOKEN_FROM_SETTING'

# --- POST (JSON body — same field names) ---
curl -sS -X POST 'https://{user}.{domain}/api/team_hours_when_stop' \
  -H 'Content-Type: application/json' \
  -d '{"api_token":"YOUR_API_TOKEN_FROM_SETTING"}'

جرب — إرسال من الموقع

يُرسل الرمز إلى وسيط الموقع فقط لتمرير الطلب إلى Biz1 — دون تخزين.

/api/team_hours_when_stop · alt: /api.phpGET · POST

add start time

الاسم بالإنجليزية كما في الكتالوج.

This api use team member timer start

GET / POST · قد يظهر في القائمة GET فقط؛ نفس الحقول لـ GET أو POST.

نقطة النهاية

https://biz1.co.il/api/add_start_time

عنوانك: https://{user}.{domain}/api/add_start_time · بديل: https://{user}.{domain}/api.php

مثال رابط GET: https://biz1.co.il/api/add_start_time?api_token=YOUR_API_TOKEN_FROM_SETTING — العملية في المسار؛ أضف بقية الحقول دون api=.

Parameters

The operation name is already in the URL path (…/add_start_time) — do not add a separate api= field for this endpoint. Use the same field names as Test API as GET query parameters and/or POST JSON or form. Legacy: you can call api.php with api=add_start_time instead of the path segment.

NameTypeDescription
api_tokenstringuser api token from setting

رموز الحالة

عادة 200 OK مع JSON؛ أخطاء التحقق تعيد 4xx.

عينات الكود (GET وPOST)

الأمثلة تستخدم أسماء الحقول من الجدول — GET كسلسلة استعلام، POST بنفس المفاتيح كـ JSON أو نموذج.

وصف إضافي

https://biz1.co.il/api/add_start_time?api_token=YOUR_API_TOKEN_FROM_SETTING

api_token => (Required) – user api token from setting

عينة استجابة

{
  "success": true,
  "data": {}
}

شكل الاستجابة يختلف حسب العملية.

Try it — عيّن المضيف والرمز في أداة الاختبار أدناه.

أمثلة الكود (GET وPOST)

أمثلة مبنية على جدول المعاملات أعلاه — GET بالاستعلام، POST بنفس الحقول كـ JSON أو نموذج.

# Operation: add start time
# Host: replace {user}.{domain} with your tenant.
# Path includes the operation — no separate api= field. Legacy: POST/GET the same fields to https://{user}.{domain}/api.php with api=add_start_time.

# --- GET (query string) ---
# One-line sample (add every parameter from the table):
curl -sS 'https://{user}.{domain}/api/add_start_time?api_token=YOUR_API_TOKEN_FROM_SETTING'

curl -sS -G 'https://{user}.{domain}/api/add_start_time' \
  --data-urlencode 'api_token=YOUR_API_TOKEN_FROM_SETTING'

# --- POST (JSON body — same field names) ---
curl -sS -X POST 'https://{user}.{domain}/api/add_start_time' \
  -H 'Content-Type: application/json' \
  -d '{"api_token":"YOUR_API_TOKEN_FROM_SETTING"}'

جرب — إرسال من الموقع

يُرسل الرمز إلى وسيط الموقع فقط لتمرير الطلب إلى Biz1 — دون تخزين.

/api/add_start_time · alt: /api.phpGET · POST

get sip details

الاسم بالإنجليزية كما في الكتالوج.

This api use in get biz1 sip detail

GET / POST · قد يظهر في القائمة GET فقط؛ نفس الحقول لـ GET أو POST.

نقطة النهاية

https://biz1.co.il/api/get_sip_details

عنوانك: https://{user}.{domain}/api/get_sip_details · بديل: https://{user}.{domain}/api.php

مثال رابط GET: https://biz1.co.il/api/get_sip_details?api_token=YOUR_API_TOKEN_FROM_SETTING — العملية في المسار؛ أضف بقية الحقول دون api=.

Parameters

The operation name is already in the URL path (…/get_sip_details) — do not add a separate api= field for this endpoint. Use the same field names as Test API as GET query parameters and/or POST JSON or form. Legacy: you can call api.php with api=get_sip_details instead of the path segment.

NameTypeDescription
api_tokenstringuser api token from setting

رموز الحالة

عادة 200 OK مع JSON؛ أخطاء التحقق تعيد 4xx.

عينات الكود (GET وPOST)

الأمثلة تستخدم أسماء الحقول من الجدول — GET كسلسلة استعلام، POST بنفس المفاتيح كـ JSON أو نموذج.

وصف إضافي

https://biz1.co.il/api/get_sip_details?api_token=YOUR_API_TOKEN_FROM_SETTING

api_token => (Required) – user api token from setting

عينة استجابة

{
  "success": true,
  "data": {}
}

شكل الاستجابة يختلف حسب العملية.

Try it — عيّن المضيف والرمز في أداة الاختبار أدناه.

أمثلة الكود (GET وPOST)

أمثلة مبنية على جدول المعاملات أعلاه — GET بالاستعلام، POST بنفس الحقول كـ JSON أو نموذج.

# Operation: get sip details
# Host: replace {user}.{domain} with your tenant.
# Path includes the operation — no separate api= field. Legacy: POST/GET the same fields to https://{user}.{domain}/api.php with api=get_sip_details.

# --- GET (query string) ---
# One-line sample (add every parameter from the table):
curl -sS 'https://{user}.{domain}/api/get_sip_details?api_token=YOUR_API_TOKEN_FROM_SETTING'

curl -sS -G 'https://{user}.{domain}/api/get_sip_details' \
  --data-urlencode 'api_token=YOUR_API_TOKEN_FROM_SETTING'

# --- POST (JSON body — same field names) ---
curl -sS -X POST 'https://{user}.{domain}/api/get_sip_details' \
  -H 'Content-Type: application/json' \
  -d '{"api_token":"YOUR_API_TOKEN_FROM_SETTING"}'

جرب — إرسال من الموقع

يُرسل الرمز إلى وسيط الموقع فقط لتمرير الطلب إلى Biz1 — دون تخزين.

/api/get_sip_details · alt: /api.phpGET · POST

create note

الاسم بالإنجليزية كما في الكتالوج.

This api use create note

GET / POST · قد يظهر في القائمة GET فقط؛ نفس الحقول لـ GET أو POST.

نقطة النهاية

https://biz1.co.il/api/create_note

عنوانك: https://{user}.{domain}/api/create_note · بديل: https://{user}.{domain}/api.php

مثال رابط GET: https://biz1.co.il/api/create_note?token=YOUR_API_TOKEN — العملية في المسار؛ أضف بقية الحقول دون api=.

Parameters

The operation name is already in the URL path (…/create_note) — do not add a separate api= field for this endpoint. Use the same field names as Test API as GET query parameters and/or POST JSON or form. Legacy: you can call api.php with api=create_note instead of the path segment.

NameTypeDescription
tokenstringuser api token from setting

رموز الحالة

عادة 200 OK مع JSON؛ أخطاء التحقق تعيد 4xx.

عينات الكود (GET وPOST)

الأمثلة تستخدم أسماء الحقول من الجدول — GET كسلسلة استعلام، POST بنفس المفاتيح كـ JSON أو نموذج.

وصف إضافي

https://biz1.co.il/api/create_note?token=YOUR_API_TOKEN

token => (Required) – user api token from setting

عينة استجابة

{
  "success": true,
  "data": {}
}

شكل الاستجابة يختلف حسب العملية.

Try it — عيّن المضيف والرمز في أداة الاختبار أدناه.

أمثلة الكود (GET وPOST)

أمثلة مبنية على جدول المعاملات أعلاه — GET بالاستعلام، POST بنفس الحقول كـ JSON أو نموذج.

# Operation: create note
# Host: replace {user}.{domain} with your tenant.
# Path includes the operation — no separate api= field. Legacy: POST/GET the same fields to https://{user}.{domain}/api.php with api=create_note.

# --- GET (query string) ---
# One-line sample (add every parameter from the table):
curl -sS 'https://{user}.{domain}/api/create_note?token=YOUR_API_TOKEN'

curl -sS -G 'https://{user}.{domain}/api/create_note' \
  --data-urlencode 'token=YOUR_API_TOKEN'

# --- POST (JSON body — same field names) ---
curl -sS -X POST 'https://{user}.{domain}/api/create_note' \
  -H 'Content-Type: application/json' \
  -d '{"token":"YOUR_API_TOKEN"}'

جرب — إرسال من الموقع

يُرسل الرمز إلى وسيط الموقع فقط لتمرير الطلب إلى Biz1 — دون تخزين.

/api/create_note · alt: /api.phpGET · POST

update fix fields value

الاسم بالإنجليزية كما في الكتالوج.

This API is used to update fix fields value based on id

GET / POST · قد يظهر في القائمة GET فقط؛ نفس الحقول لـ GET أو POST.

نقطة النهاية

https://biz1.co.il/api/update_fix_fields_value

عنوانك: https://{user}.{domain}/api/update_fix_fields_value · بديل: https://{user}.{domain}/api.php

مثال رابط GET: https://biz1.co.il/api/update_fix_fields_value?token=YOUR_API_TOKEN&id=value&value=value — العملية في المسار؛ أضف بقية الحقول دون api=.

Parameters

The operation name is already in the URL path (…/update_fix_fields_value) — do not add a separate api= field for this endpoint. Use the same field names as Test API as GET query parameters and/or POST JSON or form. Legacy: you can call api.php with api=update_fix_fields_value instead of the path segment.

NameTypeDescription
tokenstringuser api token from setting
idstringid from the fix fields table
valuestring

رموز الحالة

عادة 200 OK مع JSON؛ أخطاء التحقق تعيد 4xx.

عينات الكود (GET وPOST)

الأمثلة تستخدم أسماء الحقول من الجدول — GET كسلسلة استعلام، POST بنفس المفاتيح كـ JSON أو نموذج.

وصف إضافي

https://biz1.co.il/api/update_fix_fields_value?token=YOUR_API_TOKEN&id=value&value=value

token => (Required) – user api token from setting
id => (Required) – id from the fix fields table
value => (Optional) – —

عينة استجابة

{
  "success": true,
  "data": {}
}

شكل الاستجابة يختلف حسب العملية.

Try it — عيّن المضيف والرمز في أداة الاختبار أدناه.

أمثلة الكود (GET وPOST)

أمثلة مبنية على جدول المعاملات أعلاه — GET بالاستعلام، POST بنفس الحقول كـ JSON أو نموذج.

# Operation: update fix fields value
# Host: replace {user}.{domain} with your tenant.
# Path includes the operation — no separate api= field. Legacy: POST/GET the same fields to https://{user}.{domain}/api.php with api=update_fix_fields_value.

# --- GET (query string) ---
# One-line sample (add every parameter from the table):
curl -sS 'https://{user}.{domain}/api/update_fix_fields_value?token=YOUR_API_TOKEN&id=value&value=value'

curl -sS -G 'https://{user}.{domain}/api/update_fix_fields_value' \
  --data-urlencode 'token=YOUR_API_TOKEN' \
  --data-urlencode 'id=value' \
  --data-urlencode 'value=value'

# --- POST (JSON body — same field names) ---
curl -sS -X POST 'https://{user}.{domain}/api/update_fix_fields_value' \
  -H 'Content-Type: application/json' \
  -d '{"token":"YOUR_API_TOKEN","id":"value","value":"value"}'

جرب — إرسال من الموقع

يُرسل الرمز إلى وسيط الموقع فقط لتمرير الطلب إلى Biz1 — دون تخزين.

/api/update_fix_fields_value · alt: /api.phpGET · POST

get affiliate details

الاسم بالإنجليزية كما في الكتالوج.

This API is used to get log details based on affiliate id

GET / POST · قد يظهر في القائمة GET فقط؛ نفس الحقول لـ GET أو POST.

نقطة النهاية

https://biz1.co.il/api/get_affiliate_details

عنوانك: https://{user}.{domain}/api/get_affiliate_details · بديل: https://{user}.{domain}/api.php

مثال رابط GET: https://biz1.co.il/api/get_affiliate_details?token=YOUR_API_TOKEN&affiliate_id=value — العملية في المسار؛ أضف بقية الحقول دون api=.

Parameters

The operation name is already in the URL path (…/get_affiliate_details) — do not add a separate api= field for this endpoint. Use the same field names as Test API as GET query parameters and/or POST JSON or form. Legacy: you can call api.php with api=get_affiliate_details instead of the path segment.

NameTypeDescription
tokenstringuser api token from setting
affiliate_idnumber

رموز الحالة

عادة 200 OK مع JSON؛ أخطاء التحقق تعيد 4xx.

عينات الكود (GET وPOST)

الأمثلة تستخدم أسماء الحقول من الجدول — GET كسلسلة استعلام، POST بنفس المفاتيح كـ JSON أو نموذج.

وصف إضافي

https://biz1.co.il/api/get_affiliate_details?token=YOUR_API_TOKEN&affiliate_id=value

token => (Required) – user api token from setting
affiliate_id => (Optional) – —

عينة استجابة

{
  "success": true,
  "data": {}
}

شكل الاستجابة يختلف حسب العملية.

Try it — عيّن المضيف والرمز في أداة الاختبار أدناه.

أمثلة الكود (GET وPOST)

أمثلة مبنية على جدول المعاملات أعلاه — GET بالاستعلام، POST بنفس الحقول كـ JSON أو نموذج.

# Operation: get affiliate details
# Host: replace {user}.{domain} with your tenant.
# Path includes the operation — no separate api= field. Legacy: POST/GET the same fields to https://{user}.{domain}/api.php with api=get_affiliate_details.

# --- GET (query string) ---
# One-line sample (add every parameter from the table):
curl -sS 'https://{user}.{domain}/api/get_affiliate_details?token=YOUR_API_TOKEN&affiliate_id=value'

curl -sS -G 'https://{user}.{domain}/api/get_affiliate_details' \
  --data-urlencode 'token=YOUR_API_TOKEN' \
  --data-urlencode 'affiliate_id=value'

# --- POST (JSON body — same field names) ---
curl -sS -X POST 'https://{user}.{domain}/api/get_affiliate_details' \
  -H 'Content-Type: application/json' \
  -d '{"token":"YOUR_API_TOKEN","affiliate_id":"value"}'

جرب — إرسال من الموقع

يُرسل الرمز إلى وسيط الموقع فقط لتمرير الطلب إلى Biz1 — دون تخزين.

/api/get_affiliate_details · alt: /api.phpGET · POST

delete mission api

الاسم بالإنجليزية كما في الكتالوج.

This API is used to delete a mission (task) for a specific lead.

GET / POST · قد يظهر في القائمة GET فقط؛ نفس الحقول لـ GET أو POST.

نقطة النهاية

https://biz1.co.il/api/delete_mission

عنوانك: https://{user}.{domain}/api/delete_mission · بديل: https://{user}.{domain}/api.php

مثال رابط GET: https://biz1.co.il/api/delete_mission?token=YOUR_API_TOKEN&id=value — العملية في المسار؛ أضف بقية الحقول دون api=.

Parameters

The operation name is already in the URL path (…/delete_mission) — do not add a separate api= field for this endpoint. Use the same field names as Test API as GET query parameters and/or POST JSON or form. Legacy: you can call api.php with api=delete_mission instead of the path segment.

NameTypeDescription
tokenstringAPI key to authenticate user
idstringMission ID to delete

رموز الحالة

عادة 200 OK مع JSON؛ أخطاء التحقق تعيد 4xx.

عينات الكود (GET وPOST)

الأمثلة تستخدم أسماء الحقول من الجدول — GET كسلسلة استعلام، POST بنفس المفاتيح كـ JSON أو نموذج.

وصف إضافي

https://biz1.co.il/api/delete_mission?token=YOUR_API_TOKEN&id=value

token => (Required) – API key to authenticate user
id => (Required) – Mission ID to delete

عينة استجابة

{
  "success": true,
  "data": {}
}

شكل الاستجابة يختلف حسب العملية.

Try it — عيّن المضيف والرمز في أداة الاختبار أدناه.

أمثلة الكود (GET وPOST)

أمثلة مبنية على جدول المعاملات أعلاه — GET بالاستعلام، POST بنفس الحقول كـ JSON أو نموذج.

# Operation: delete mission api
# Host: replace {user}.{domain} with your tenant.
# Path includes the operation — no separate api= field. Legacy: POST/GET the same fields to https://{user}.{domain}/api.php with api=delete_mission.

# --- GET (query string) ---
# One-line sample (add every parameter from the table):
curl -sS 'https://{user}.{domain}/api/delete_mission?token=YOUR_API_TOKEN&id=value'

curl -sS -G 'https://{user}.{domain}/api/delete_mission' \
  --data-urlencode 'token=YOUR_API_TOKEN' \
  --data-urlencode 'id=value'

# --- POST (JSON body — same field names) ---
curl -sS -X POST 'https://{user}.{domain}/api/delete_mission' \
  -H 'Content-Type: application/json' \
  -d '{"token":"YOUR_API_TOKEN","id":"value"}'

جرب — إرسال من الموقع

يُرسل الرمز إلى وسيط الموقع فقط لتمرير الطلب إلى Biz1 — دون تخزين.

/api/delete_mission · alt: /api.phpGET · POST

edit mission status api

الاسم بالإنجليزية كما في الكتالوج.

This API is used to edit a mission status (mark done) for a specific lead.

GET / POST · قد يظهر في القائمة GET فقط؛ نفس الحقول لـ GET أو POST.

نقطة النهاية

https://biz1.co.il/api/edit_mission_status

عنوانك: https://{user}.{domain}/api/edit_mission_status · بديل: https://{user}.{domain}/api.php

مثال رابط GET: https://biz1.co.il/api/edit_mission_status?token=YOUR_API_TOKEN&id=value — العملية في المسار؛ أضف بقية الحقول دون api=.

Parameters

The operation name is already in the URL path (…/edit_mission_status) — do not add a separate api= field for this endpoint. Use the same field names as Test API as GET query parameters and/or POST JSON or form. Legacy: you can call api.php with api=edit_mission_status instead of the path segment.

NameTypeDescription
tokenstringAPI key to authenticate user
idstringMission ID to edit status

رموز الحالة

عادة 200 OK مع JSON؛ أخطاء التحقق تعيد 4xx.

عينات الكود (GET وPOST)

الأمثلة تستخدم أسماء الحقول من الجدول — GET كسلسلة استعلام، POST بنفس المفاتيح كـ JSON أو نموذج.

وصف إضافي

https://biz1.co.il/api/edit_mission_status?token=YOUR_API_TOKEN&id=value

token => (Required) – API key to authenticate user
id => (Required) – Mission ID to edit status

عينة استجابة

{
  "success": true,
  "data": {}
}

شكل الاستجابة يختلف حسب العملية.

Try it — عيّن المضيف والرمز في أداة الاختبار أدناه.

أمثلة الكود (GET وPOST)

أمثلة مبنية على جدول المعاملات أعلاه — GET بالاستعلام، POST بنفس الحقول كـ JSON أو نموذج.

# Operation: edit mission status api
# Host: replace {user}.{domain} with your tenant.
# Path includes the operation — no separate api= field. Legacy: POST/GET the same fields to https://{user}.{domain}/api.php with api=edit_mission_status.

# --- GET (query string) ---
# One-line sample (add every parameter from the table):
curl -sS 'https://{user}.{domain}/api/edit_mission_status?token=YOUR_API_TOKEN&id=value'

curl -sS -G 'https://{user}.{domain}/api/edit_mission_status' \
  --data-urlencode 'token=YOUR_API_TOKEN' \
  --data-urlencode 'id=value'

# --- POST (JSON body — same field names) ---
curl -sS -X POST 'https://{user}.{domain}/api/edit_mission_status' \
  -H 'Content-Type: application/json' \
  -d '{"token":"YOUR_API_TOKEN","id":"value"}'

جرب — إرسال من الموقع

يُرسل الرمز إلى وسيط الموقع فقط لتمرير الطلب إلى Biz1 — دون تخزين.

/api/edit_mission_status · alt: /api.phpGET · POST

create receipt documentation(Add Order2)

الاسم بالإنجليزية كما في الكتالوج.

create receipt document by api

GET / POST · قد يظهر في القائمة GET فقط؛ نفس الحقول لـ GET أو POST.

نقطة النهاية

https://biz1.co.il/api/add_order2

عنوانك: https://{user}.{domain}/api/add_order2 · بديل: https://{user}.{domain}/api.php

مثال رابط GET: https://biz1.co.il/api/add_order2?api_token=YOUR_API_TOKEN_FROM_SETTING&name=Jane&email=jane%40example.com&phone=0500000000&address=value&last4degits=value&payment_method=value&document_lang=value&invoice_settings_id=value&document_type=value&order=value&send_by_wp=value&all_items_total=value&source=value&products=value&card_name=value&card_no=value&month_year=value&cvc=value&card_id=value&Create_recept_automatic=value&number_of_payments=value&payment_type=value — العملية في المسار؛ أضف بقية الحقول دون api=.

Parameters

The operation name is already in the URL path (…/add_order2) — do not add a separate api= field for this endpoint. Use the same field names as Test API as GET query parameters and/or POST JSON or form. Legacy: you can call api.php with api=add_order2 instead of the path segment.

NameTypeDescription
api_tokenstring
namestring
emailstring
phonestring
addressstring
last4degitsstring
payment_methodstring
document_langstring
invoice_settings_idnumber
document_typestringorder_proposals, purchase_orders, detail_orders, invoice, receipt, receipt_tax_invoice, proforma_invoice, delivery, organization_receipt
orderobject (JSON)
send_by_wpstringIf set to 1, the generated document will be sent automatically through WhatsApp.Value: 1 = Yes, 0 = No.
all_items_totalstring
sourcestring
productsstring
card_namestring
card_nostring
month_yearstringmust set MM/YY format as we set default value
cvcstring
card_idnumber
Create_recept_automaticstring
number_of_paymentsstring
payment_typestringSet the number of installments for split payments; otherwise, leave this field blank for regular payments

رموز الحالة

عادة 200 OK مع JSON؛ أخطاء التحقق تعيد 4xx.

عينات الكود (GET وPOST)

الأمثلة تستخدم أسماء الحقول من الجدول — GET كسلسلة استعلام، POST بنفس المفاتيح كـ JSON أو نموذج.

وصف إضافي

https://biz1.co.il/api/add_order2?api_token=YOUR_API_TOKEN_FROM_SETTING&name=Jane&email=jane%40example.com&phone=0500000000&address=value&last4degits=value&payment_method=value&document_lang=value&invoice_settings_id=value&document_type=value&order=value&send_by_wp=value&all_items_total=value&source=value&products=value&card_name=value&card_no=value&month_year=value&cvc=value&card_id=value&Create_recept_automatic=value&number_of_payments=value&payment_type=value

api_token => (Required) – —
name => (Required) – —
email => (Required) – —
phone => (Optional) – —
address => (Optional) – —
last4degits => (Optional) – —
payment_method => (Optional) – —
document_lang => (Optional) – —
invoice_settings_id => (Optional) – —
document_type => (Required) – order_proposals, purchase_orders, detail_orders, invoice, receipt, receipt_tax_invoice, proforma_invoice, delivery, organization_receipt
order => (Optional) – —
send_by_wp => (Required) – If set to 1, the generated document will be sent automatically through WhatsApp.Value: 1 = Yes, 0 = No.
all_items_total => (Optional) – —
source => (Optional) – —
products => (Optional) – —
card_name => (Optional) – —
card_no => (Optional) – —
month_year => (Required) – must set MM/YY format as we set default value
cvc => (Optional) – —
card_id => (Optional) – —
Create_recept_automatic => (Optional) – —
number_of_payments => (Optional) – —
payment_type => (Required) – Set the number of installments for split payments; otherwise, leave this field blank for regular payments

عينة استجابة

{
  "success": true,
  "data": {}
}

شكل الاستجابة يختلف حسب العملية.

Try it — عيّن المضيف والرمز في أداة الاختبار أدناه.

أمثلة الكود (GET وPOST)

أمثلة مبنية على جدول المعاملات أعلاه — GET بالاستعلام، POST بنفس الحقول كـ JSON أو نموذج.

# Operation: create receipt documentation(Add Order2)
# Host: replace {user}.{domain} with your tenant.
# Path includes the operation — no separate api= field. Legacy: POST/GET the same fields to https://{user}.{domain}/api.php with api=add_order2.

# --- GET (query string) ---
# One-line sample (add every parameter from the table):
curl -sS 'https://{user}.{domain}/api/add_order2?api_token=YOUR_API_TOKEN_FROM_SETTING&name=Jane&email=jane%40example.com&phone=0500000000'

curl -sS -G 'https://{user}.{domain}/api/add_order2' \
  --data-urlencode 'api_token=YOUR_API_TOKEN_FROM_SETTING' \
  --data-urlencode 'name=Jane' \
  --data-urlencode '[email protected]' \
  --data-urlencode 'phone=0500000000' \
  --data-urlencode 'address=value' \
  --data-urlencode 'last4degits=value' \
  --data-urlencode 'payment_method=value' \
  --data-urlencode 'document_lang=value' \
  --data-urlencode 'invoice_settings_id=value' \
  --data-urlencode 'document_type=value' \
  --data-urlencode 'order=value' \
  --data-urlencode 'send_by_wp=value' \
  --data-urlencode 'all_items_total=value' \
  --data-urlencode 'source=value' \
  --data-urlencode 'products=value' \
  --data-urlencode 'card_name=value' \
  --data-urlencode 'card_no=value' \
  --data-urlencode 'month_year=value' \
  --data-urlencode 'cvc=value' \
  --data-urlencode 'card_id=value' \
  --data-urlencode 'Create_recept_automatic=value' \
  --data-urlencode 'number_of_payments=value' \
  --data-urlencode 'payment_type=value'

# --- POST (JSON body — same field names) ---
curl -sS -X POST 'https://{user}.{domain}/api/add_order2' \
  -H 'Content-Type: application/json' \
  -d '{"api_token":"YOUR_API_TOKEN_FROM_SETTING","name":"Jane","email":"[email protected]","phone":"0500000000","address":"value","last4degits":"value","payment_method":"value","document_lang":"value","invoice_settings_id":"value","document_type":"value","order":"value","send_by_wp":"value","all_items_total":"value","source":"value","products":"value","card_name":"value","card_no":"value","month_year":"value","cvc":"value","card_id":"value","Create_recept_automatic":"value","number_of_payments":"value","payment_type":"value"}'

جرب — إرسال من الموقع

يُرسل الرمز إلى وسيط الموقع فقط لتمرير الطلب إلى Biz1 — دون تخزين.

/api/add_order2 · alt: /api.phpGET · POST

create organization_receipt documentation(Add Order2)

الاسم بالإنجليزية كما في الكتالوج.

create organization_receipt document by api

GET / POST · قد يظهر في القائمة GET فقط؛ نفس الحقول لـ GET أو POST.

نقطة النهاية

https://biz1.co.il/api/add_order2

عنوانك: https://{user}.{domain}/api/add_order2 · بديل: https://{user}.{domain}/api.php

مثال رابط GET: https://biz1.co.il/api/add_order2?api_token=YOUR_API_TOKEN_FROM_SETTING&name=Jane&email=jane%40example.com&phone=0500000000&address=value&last4degits=value&payment_method=value&document_lang=value&invoice_settings_id=value&document_type=value&order=value&send_by_wp=value&all_items_total=value&source=value&products=value&card_name=value&card_no=value&month_year=value&cvc=value&card_id=value&Create_recept_automatic=value — العملية في المسار؛ أضف بقية الحقول دون api=.

Parameters

The operation name is already in the URL path (…/add_order2) — do not add a separate api= field for this endpoint. Use the same field names as Test API as GET query parameters and/or POST JSON or form. Legacy: you can call api.php with api=add_order2 instead of the path segment.

NameTypeDescription
api_tokenstring
namestring
emailstring
phonestring
addressstring
last4degitsstring
payment_methodstring
document_langstring
invoice_settings_idnumber
document_typestringorder_proposals, purchase_orders, detail_orders, invoice, receipt, receipt_tax_invoice, proforma_invoice, delivery, organization_receipt
orderobject (JSON)
send_by_wpstringIf set to 1, the generated document will be sent automatically through WhatsApp.Value: 1 = Yes, 0 = No.
all_items_totalstring
sourcestring
productsstring
card_namestring
card_nostring
month_yearstringmust set MM/YY format as we set default value
cvcstring
card_idnumber
Create_recept_automaticstring

رموز الحالة

عادة 200 OK مع JSON؛ أخطاء التحقق تعيد 4xx.

عينات الكود (GET وPOST)

الأمثلة تستخدم أسماء الحقول من الجدول — GET كسلسلة استعلام، POST بنفس المفاتيح كـ JSON أو نموذج.

وصف إضافي

https://biz1.co.il/api/add_order2?api_token=YOUR_API_TOKEN_FROM_SETTING&name=Jane&email=jane%40example.com&phone=0500000000&address=value&last4degits=value&payment_method=value&document_lang=value&invoice_settings_id=value&document_type=value&order=value&send_by_wp=value&all_items_total=value&source=value&products=value&card_name=value&card_no=value&month_year=value&cvc=value&card_id=value&Create_recept_automatic=value

api_token => (Required) – —
name => (Required) – —
email => (Required) – —
phone => (Optional) – —
address => (Optional) – —
last4degits => (Optional) – —
payment_method => (Optional) – —
document_lang => (Optional) – —
invoice_settings_id => (Optional) – —
document_type => (Required) – order_proposals, purchase_orders, detail_orders, invoice, receipt, receipt_tax_invoice, proforma_invoice, delivery, organization_receipt
order => (Optional) – —
send_by_wp => (Required) – If set to 1, the generated document will be sent automatically through WhatsApp.Value: 1 = Yes, 0 = No.
all_items_total => (Optional) – —
source => (Optional) – —
products => (Optional) – —
card_name => (Optional) – —
card_no => (Optional) – —
month_year => (Required) – must set MM/YY format as we set default value
cvc => (Optional) – —
card_id => (Optional) – —
Create_recept_automatic => (Optional) – —

عينة استجابة

{
  "success": true,
  "data": {}
}

شكل الاستجابة يختلف حسب العملية.

Try it — عيّن المضيف والرمز في أداة الاختبار أدناه.

أمثلة الكود (GET وPOST)

أمثلة مبنية على جدول المعاملات أعلاه — GET بالاستعلام، POST بنفس الحقول كـ JSON أو نموذج.

# Operation: create organization_receipt documentation(Add Order2)
# Host: replace {user}.{domain} with your tenant.
# Path includes the operation — no separate api= field. Legacy: POST/GET the same fields to https://{user}.{domain}/api.php with api=add_order2.

# --- GET (query string) ---
# One-line sample (add every parameter from the table):
curl -sS 'https://{user}.{domain}/api/add_order2?api_token=YOUR_API_TOKEN_FROM_SETTING&name=Jane&email=jane%40example.com&phone=0500000000'

curl -sS -G 'https://{user}.{domain}/api/add_order2' \
  --data-urlencode 'api_token=YOUR_API_TOKEN_FROM_SETTING' \
  --data-urlencode 'name=Jane' \
  --data-urlencode '[email protected]' \
  --data-urlencode 'phone=0500000000' \
  --data-urlencode 'address=value' \
  --data-urlencode 'last4degits=value' \
  --data-urlencode 'payment_method=value' \
  --data-urlencode 'document_lang=value' \
  --data-urlencode 'invoice_settings_id=value' \
  --data-urlencode 'document_type=value' \
  --data-urlencode 'order=value' \
  --data-urlencode 'send_by_wp=value' \
  --data-urlencode 'all_items_total=value' \
  --data-urlencode 'source=value' \
  --data-urlencode 'products=value' \
  --data-urlencode 'card_name=value' \
  --data-urlencode 'card_no=value' \
  --data-urlencode 'month_year=value' \
  --data-urlencode 'cvc=value' \
  --data-urlencode 'card_id=value' \
  --data-urlencode 'Create_recept_automatic=value'

# --- POST (JSON body — same field names) ---
curl -sS -X POST 'https://{user}.{domain}/api/add_order2' \
  -H 'Content-Type: application/json' \
  -d '{"api_token":"YOUR_API_TOKEN_FROM_SETTING","name":"Jane","email":"[email protected]","phone":"0500000000","address":"value","last4degits":"value","payment_method":"value","document_lang":"value","invoice_settings_id":"value","document_type":"value","order":"value","send_by_wp":"value","all_items_total":"value","source":"value","products":"value","card_name":"value","card_no":"value","month_year":"value","cvc":"value","card_id":"value","Create_recept_automatic":"value"}'

جرب — إرسال من الموقع

يُرسل الرمز إلى وسيط الموقع فقط لتمرير الطلب إلى Biz1 — دون تخزين.

/api/add_order2 · alt: /api.phpGET · POST

create delivery_invoice documentation(Add Order2)

الاسم بالإنجليزية كما في الكتالوج.

create delivery document by api

GET / POST · قد يظهر في القائمة GET فقط؛ نفس الحقول لـ GET أو POST.

نقطة النهاية

https://biz1.co.il/api/add_order2

عنوانك: https://{user}.{domain}/api/add_order2 · بديل: https://{user}.{domain}/api.php

مثال رابط GET: https://biz1.co.il/api/add_order2?api_token=YOUR_API_TOKEN_FROM_SETTING&name=Jane&email=jane%40example.com&phone=0500000000&address=value&last4degits=value&payment_method=value&document_lang=value&invoice_settings_id=value&document_type=value&order=value&send_by_wp=value&all_items_total=value&source=value&products=value&card_name=value&card_no=value&month_year=value&cvc=value&card_id=value&Create_recept_automatic=value — العملية في المسار؛ أضف بقية الحقول دون api=.

Parameters

The operation name is already in the URL path (…/add_order2) — do not add a separate api= field for this endpoint. Use the same field names as Test API as GET query parameters and/or POST JSON or form. Legacy: you can call api.php with api=add_order2 instead of the path segment.

NameTypeDescription
api_tokenstring
namestring
emailstring
phonestring
addressstring
last4degitsstring
payment_methodstring
document_langstring
invoice_settings_idnumber
document_typestringorder_proposals, purchase_orders, detail_orders, invoice, receipt, receipt_tax_invoice, proforma_invoice, delivery, organization_receipt
orderobject (JSON)
send_by_wpstringIf set to 1, the generated document will be sent automatically through WhatsApp.Value: 1 = Yes, 0 = No.
all_items_totalstring
sourcestring
productsstring
card_namestring
card_nostring
month_yearstringmust set MM/YY format as we set default value
cvcstring
card_idnumber
Create_recept_automaticstring

رموز الحالة

عادة 200 OK مع JSON؛ أخطاء التحقق تعيد 4xx.

عينات الكود (GET وPOST)

الأمثلة تستخدم أسماء الحقول من الجدول — GET كسلسلة استعلام، POST بنفس المفاتيح كـ JSON أو نموذج.

وصف إضافي

https://biz1.co.il/api/add_order2?api_token=YOUR_API_TOKEN_FROM_SETTING&name=Jane&email=jane%40example.com&phone=0500000000&address=value&last4degits=value&payment_method=value&document_lang=value&invoice_settings_id=value&document_type=value&order=value&send_by_wp=value&all_items_total=value&source=value&products=value&card_name=value&card_no=value&month_year=value&cvc=value&card_id=value&Create_recept_automatic=value

api_token => (Required) – —
name => (Required) – —
email => (Required) – —
phone => (Optional) – —
address => (Optional) – —
last4degits => (Optional) – —
payment_method => (Optional) – —
document_lang => (Optional) – —
invoice_settings_id => (Optional) – —
document_type => (Required) – order_proposals, purchase_orders, detail_orders, invoice, receipt, receipt_tax_invoice, proforma_invoice, delivery, organization_receipt
order => (Optional) – —
send_by_wp => (Required) – If set to 1, the generated document will be sent automatically through WhatsApp.Value: 1 = Yes, 0 = No.
all_items_total => (Optional) – —
source => (Optional) – —
products => (Optional) – —
card_name => (Optional) – —
card_no => (Optional) – —
month_year => (Required) – must set MM/YY format as we set default value
cvc => (Optional) – —
card_id => (Optional) – —
Create_recept_automatic => (Optional) – —

عينة استجابة

{
  "success": true,
  "data": {}
}

شكل الاستجابة يختلف حسب العملية.

Try it — عيّن المضيف والرمز في أداة الاختبار أدناه.

أمثلة الكود (GET وPOST)

أمثلة مبنية على جدول المعاملات أعلاه — GET بالاستعلام، POST بنفس الحقول كـ JSON أو نموذج.

# Operation: create delivery_invoice documentation(Add Order2)
# Host: replace {user}.{domain} with your tenant.
# Path includes the operation — no separate api= field. Legacy: POST/GET the same fields to https://{user}.{domain}/api.php with api=add_order2.

# --- GET (query string) ---
# One-line sample (add every parameter from the table):
curl -sS 'https://{user}.{domain}/api/add_order2?api_token=YOUR_API_TOKEN_FROM_SETTING&name=Jane&email=jane%40example.com&phone=0500000000'

curl -sS -G 'https://{user}.{domain}/api/add_order2' \
  --data-urlencode 'api_token=YOUR_API_TOKEN_FROM_SETTING' \
  --data-urlencode 'name=Jane' \
  --data-urlencode '[email protected]' \
  --data-urlencode 'phone=0500000000' \
  --data-urlencode 'address=value' \
  --data-urlencode 'last4degits=value' \
  --data-urlencode 'payment_method=value' \
  --data-urlencode 'document_lang=value' \
  --data-urlencode 'invoice_settings_id=value' \
  --data-urlencode 'document_type=value' \
  --data-urlencode 'order=value' \
  --data-urlencode 'send_by_wp=value' \
  --data-urlencode 'all_items_total=value' \
  --data-urlencode 'source=value' \
  --data-urlencode 'products=value' \
  --data-urlencode 'card_name=value' \
  --data-urlencode 'card_no=value' \
  --data-urlencode 'month_year=value' \
  --data-urlencode 'cvc=value' \
  --data-urlencode 'card_id=value' \
  --data-urlencode 'Create_recept_automatic=value'

# --- POST (JSON body — same field names) ---
curl -sS -X POST 'https://{user}.{domain}/api/add_order2' \
  -H 'Content-Type: application/json' \
  -d '{"api_token":"YOUR_API_TOKEN_FROM_SETTING","name":"Jane","email":"[email protected]","phone":"0500000000","address":"value","last4degits":"value","payment_method":"value","document_lang":"value","invoice_settings_id":"value","document_type":"value","order":"value","send_by_wp":"value","all_items_total":"value","source":"value","products":"value","card_name":"value","card_no":"value","month_year":"value","cvc":"value","card_id":"value","Create_recept_automatic":"value"}'

جرب — إرسال من الموقع

يُرسل الرمز إلى وسيط الموقع فقط لتمرير الطلب إلى Biz1 — دون تخزين.

/api/add_order2 · alt: /api.phpGET · POST

create proforma_invoice documentation(Add Order2)

الاسم بالإنجليزية كما في الكتالوج.

create proforma_invoice document by the api

GET / POST · قد يظهر في القائمة GET فقط؛ نفس الحقول لـ GET أو POST.

نقطة النهاية

https://biz1.co.il/api/add_order2

عنوانك: https://{user}.{domain}/api/add_order2 · بديل: https://{user}.{domain}/api.php

مثال رابط GET: https://biz1.co.il/api/add_order2?api_token=YOUR_API_TOKEN_FROM_SETTING&name=Jane&email=jane%40example.com&phone=0500000000&address=value&last4degits=value&payment_method=value&document_lang=value&invoice_settings_id=value&document_type=value&order=value&send_by_wp=value&all_items_total=value&source=value&products=value&card_name=value&card_no=value&month_year=value&cvc=value&card_id=value&Create_recept_automatic=value — العملية في المسار؛ أضف بقية الحقول دون api=.

Parameters

The operation name is already in the URL path (…/add_order2) — do not add a separate api= field for this endpoint. Use the same field names as Test API as GET query parameters and/or POST JSON or form. Legacy: you can call api.php with api=add_order2 instead of the path segment.

NameTypeDescription
api_tokenstring
namestring
emailstring
phonestring
addressstring
last4degitsstring
payment_methodstring
document_langstring
invoice_settings_idnumber
document_typestringorder_proposals, purchase_orders, detail_orders, invoice, receipt, receipt_tax_invoice, proforma_invoice, delivery, organization_receipt
orderobject (JSON)
send_by_wpstringIf set to 1, the generated document will be sent automatically through WhatsApp.Value: 1 = Yes, 0 = No.
all_items_totalstring
sourcestring
productsstring
card_namestring
card_nostring
month_yearstringmust set MM/YY format as we set default value
cvcstring
card_idnumber
Create_recept_automaticstring

رموز الحالة

عادة 200 OK مع JSON؛ أخطاء التحقق تعيد 4xx.

عينات الكود (GET وPOST)

الأمثلة تستخدم أسماء الحقول من الجدول — GET كسلسلة استعلام، POST بنفس المفاتيح كـ JSON أو نموذج.

وصف إضافي

https://biz1.co.il/api/add_order2?api_token=YOUR_API_TOKEN_FROM_SETTING&name=Jane&email=jane%40example.com&phone=0500000000&address=value&last4degits=value&payment_method=value&document_lang=value&invoice_settings_id=value&document_type=value&order=value&send_by_wp=value&all_items_total=value&source=value&products=value&card_name=value&card_no=value&month_year=value&cvc=value&card_id=value&Create_recept_automatic=value

api_token => (Required) – —
name => (Required) – —
email => (Required) – —
phone => (Optional) – —
address => (Optional) – —
last4degits => (Optional) – —
payment_method => (Optional) – —
document_lang => (Optional) – —
invoice_settings_id => (Optional) – —
document_type => (Required) – order_proposals, purchase_orders, detail_orders, invoice, receipt, receipt_tax_invoice, proforma_invoice, delivery, organization_receipt
order => (Optional) – —
send_by_wp => (Required) – If set to 1, the generated document will be sent automatically through WhatsApp.Value: 1 = Yes, 0 = No.
all_items_total => (Optional) – —
source => (Optional) – —
products => (Optional) – —
card_name => (Optional) – —
card_no => (Optional) – —
month_year => (Required) – must set MM/YY format as we set default value
cvc => (Optional) – —
card_id => (Optional) – —
Create_recept_automatic => (Optional) – —

عينة استجابة

{
  "success": true,
  "data": {}
}

شكل الاستجابة يختلف حسب العملية.

Try it — عيّن المضيف والرمز في أداة الاختبار أدناه.

أمثلة الكود (GET وPOST)

أمثلة مبنية على جدول المعاملات أعلاه — GET بالاستعلام، POST بنفس الحقول كـ JSON أو نموذج.

# Operation: create proforma_invoice documentation(Add Order2)
# Host: replace {user}.{domain} with your tenant.
# Path includes the operation — no separate api= field. Legacy: POST/GET the same fields to https://{user}.{domain}/api.php with api=add_order2.

# --- GET (query string) ---
# One-line sample (add every parameter from the table):
curl -sS 'https://{user}.{domain}/api/add_order2?api_token=YOUR_API_TOKEN_FROM_SETTING&name=Jane&email=jane%40example.com&phone=0500000000'

curl -sS -G 'https://{user}.{domain}/api/add_order2' \
  --data-urlencode 'api_token=YOUR_API_TOKEN_FROM_SETTING' \
  --data-urlencode 'name=Jane' \
  --data-urlencode '[email protected]' \
  --data-urlencode 'phone=0500000000' \
  --data-urlencode 'address=value' \
  --data-urlencode 'last4degits=value' \
  --data-urlencode 'payment_method=value' \
  --data-urlencode 'document_lang=value' \
  --data-urlencode 'invoice_settings_id=value' \
  --data-urlencode 'document_type=value' \
  --data-urlencode 'order=value' \
  --data-urlencode 'send_by_wp=value' \
  --data-urlencode 'all_items_total=value' \
  --data-urlencode 'source=value' \
  --data-urlencode 'products=value' \
  --data-urlencode 'card_name=value' \
  --data-urlencode 'card_no=value' \
  --data-urlencode 'month_year=value' \
  --data-urlencode 'cvc=value' \
  --data-urlencode 'card_id=value' \
  --data-urlencode 'Create_recept_automatic=value'

# --- POST (JSON body — same field names) ---
curl -sS -X POST 'https://{user}.{domain}/api/add_order2' \
  -H 'Content-Type: application/json' \
  -d '{"api_token":"YOUR_API_TOKEN_FROM_SETTING","name":"Jane","email":"[email protected]","phone":"0500000000","address":"value","last4degits":"value","payment_method":"value","document_lang":"value","invoice_settings_id":"value","document_type":"value","order":"value","send_by_wp":"value","all_items_total":"value","source":"value","products":"value","card_name":"value","card_no":"value","month_year":"value","cvc":"value","card_id":"value","Create_recept_automatic":"value"}'

جرب — إرسال من الموقع

يُرسل الرمز إلى وسيط الموقع فقط لتمرير الطلب إلى Biz1 — دون تخزين.

/api/add_order2 · alt: /api.phpGET · POST

create detail_orders documentation(Add Order2)

الاسم بالإنجليزية كما في الكتالوج.

create detail_orders documentation by api

GET / POST · قد يظهر في القائمة GET فقط؛ نفس الحقول لـ GET أو POST.

نقطة النهاية

https://biz1.co.il/api/add_order2

عنوانك: https://{user}.{domain}/api/add_order2 · بديل: https://{user}.{domain}/api.php

مثال رابط GET: https://biz1.co.il/api/add_order2?api_token=YOUR_API_TOKEN_FROM_SETTING&name=Jane&email=jane%40example.com&phone=0500000000&address=value&last4degits=value&payment_method=value&document_lang=value&invoice_settings_id=value&document_type=value&order=value&send_by_wp=value&all_items_total=value&source=value&products=value&card_name=value&card_no=value&month_year=value&cvc=value&card_id=value&Create_recept_automatic=value — العملية في المسار؛ أضف بقية الحقول دون api=.

Parameters

The operation name is already in the URL path (…/add_order2) — do not add a separate api= field for this endpoint. Use the same field names as Test API as GET query parameters and/or POST JSON or form. Legacy: you can call api.php with api=add_order2 instead of the path segment.

NameTypeDescription
api_tokenstring
namestring
emailstring
phonestring
addressstring
last4degitsstring
payment_methodstring
document_langstring
invoice_settings_idnumber
document_typestringorder_proposals, purchase_orders, detail_orders, invoice, receipt, receipt_tax_invoice, proforma_invoice, delivery, organization_receipt
orderobject (JSON)
send_by_wpstringIf set to 1, the generated document will be sent automatically through WhatsApp.Value: 1 = Yes, 0 = No.
all_items_totalstring
sourcestring
productsstring
card_namestring
card_nostring
month_yearstringmust set MM/YY format as we set default value
cvcstring
card_idnumber
Create_recept_automaticstring

رموز الحالة

عادة 200 OK مع JSON؛ أخطاء التحقق تعيد 4xx.

عينات الكود (GET وPOST)

الأمثلة تستخدم أسماء الحقول من الجدول — GET كسلسلة استعلام، POST بنفس المفاتيح كـ JSON أو نموذج.

وصف إضافي

https://biz1.co.il/api/add_order2?api_token=YOUR_API_TOKEN_FROM_SETTING&name=Jane&email=jane%40example.com&phone=0500000000&address=value&last4degits=value&payment_method=value&document_lang=value&invoice_settings_id=value&document_type=value&order=value&send_by_wp=value&all_items_total=value&source=value&products=value&card_name=value&card_no=value&month_year=value&cvc=value&card_id=value&Create_recept_automatic=value

api_token => (Required) – —
name => (Required) – —
email => (Required) – —
phone => (Optional) – —
address => (Optional) – —
last4degits => (Optional) – —
payment_method => (Optional) – —
document_lang => (Optional) – —
invoice_settings_id => (Optional) – —
document_type => (Required) – order_proposals, purchase_orders, detail_orders, invoice, receipt, receipt_tax_invoice, proforma_invoice, delivery, organization_receipt
order => (Optional) – —
send_by_wp => (Required) – If set to 1, the generated document will be sent automatically through WhatsApp.Value: 1 = Yes, 0 = No.
all_items_total => (Optional) – —
source => (Optional) – —
products => (Optional) – —
card_name => (Optional) – —
card_no => (Optional) – —
month_year => (Required) – must set MM/YY format as we set default value
cvc => (Optional) – —
card_id => (Optional) – —
Create_recept_automatic => (Optional) – —

عينة استجابة

{
  "success": true,
  "data": {}
}

شكل الاستجابة يختلف حسب العملية.

Try it — عيّن المضيف والرمز في أداة الاختبار أدناه.

أمثلة الكود (GET وPOST)

أمثلة مبنية على جدول المعاملات أعلاه — GET بالاستعلام، POST بنفس الحقول كـ JSON أو نموذج.

# Operation: create detail_orders documentation(Add Order2)
# Host: replace {user}.{domain} with your tenant.
# Path includes the operation — no separate api= field. Legacy: POST/GET the same fields to https://{user}.{domain}/api.php with api=add_order2.

# --- GET (query string) ---
# One-line sample (add every parameter from the table):
curl -sS 'https://{user}.{domain}/api/add_order2?api_token=YOUR_API_TOKEN_FROM_SETTING&name=Jane&email=jane%40example.com&phone=0500000000'

curl -sS -G 'https://{user}.{domain}/api/add_order2' \
  --data-urlencode 'api_token=YOUR_API_TOKEN_FROM_SETTING' \
  --data-urlencode 'name=Jane' \
  --data-urlencode '[email protected]' \
  --data-urlencode 'phone=0500000000' \
  --data-urlencode 'address=value' \
  --data-urlencode 'last4degits=value' \
  --data-urlencode 'payment_method=value' \
[...]
